/* Toolkit headers */
#include <Ph.h>
#include <Pt.h>
#include <Ap.h>

/* Local headers */
#include "phcd.h"
#include "abimport.h"
#include "proto.h"

void display_NODISC(void) {
	
  PtArg_t args[1];
	PtSetArg( &args[0], Pt_ARG_LABEL_DATA, imgs[21], sizeof( PhImage_t ) );
	PtSetResources( ABW_sec0_lbl, 1, &args );

	PtSetArg( &args[0], Pt_ARG_LABEL_DATA, imgs[23], sizeof( PhImage_t ) );
	PtSetResources( ABW_sec1_lbl, 1, &args );

	PtSetArg( &args[0], Pt_ARG_LABEL_DATA, imgs[22], sizeof( PhImage_t ) );
	PtSetResources( ABW_min0_lbl, 1, &args );

	PtSetArg( &args[0], Pt_ARG_LABEL_DATA, imgs[18], sizeof( PhImage_t ) );
	PtSetResources( ABW_min1_lbl, 1, &args );

	PtSetArg( &args[0], Pt_ARG_LABEL_DATA, imgs[13], sizeof( PhImage_t ) );
	PtSetResources( ABW_track0_lbl, 1, &args );
	
	PtSetArg( &args[0], Pt_ARG_LABEL_DATA, imgs[16], sizeof( PhImage_t ) );
	PtSetResources( ABW_track1_lbl, 1, &args );

}

void display_DATA(void) {

  PtArg_t args[1];
	PtSetArg( &args[0], Pt_ARG_LABEL_DATA, imgs[19], sizeof( PhImage_t ) );
	PtSetResources( ABW_sec0_lbl, 1, &args );

	PtSetArg( &args[0], Pt_ARG_LABEL_DATA, imgs[20], sizeof( PhImage_t ) );
	PtSetResources( ABW_sec1_lbl, 1, &args );

	PtSetArg( &args[0], Pt_ARG_LABEL_DATA, imgs[19], sizeof( PhImage_t ) );
	PtSetResources( ABW_min0_lbl, 1, &args );

	PtSetArg( &args[0], Pt_ARG_LABEL_DATA, imgs[18], sizeof( PhImage_t ) );
	PtSetResources( ABW_min1_lbl, 1, &args );

	PtSetArg( &args[0], Pt_ARG_LABEL_DATA, imgs[18], sizeof( PhImage_t ) );
	PtSetResources( ABW_track0_lbl, 1, &args );
	
	PtSetArg( &args[0], Pt_ARG_LABEL_DATA, imgs[21], sizeof( PhImage_t ) );
	PtSetResources( ABW_track1_lbl, 1, &args );

}

void display_RESET(void) {

  PtArg_t args[1];
	
	PtSetArg( &args[0], Pt_ARG_LABEL_DATA, imgs[0], sizeof( PhImage_t ) );
	PtSetResources( ABW_min1_lbl, 1, &args );
	PtSetResources( ABW_min0_lbl, 1, &args );
	PtSetResources( ABW_sec1_lbl, 1, &args );
	PtSetResources( ABW_sec0_lbl, 1, &args );

	PtSetResources( ABW_track0_lbl, 1, &args );
	
	PtSetArg( &args[0], Pt_ARG_LABEL_DATA, imgs[12], sizeof( PhImage_t ) );
	PtSetResources( ABW_track1_lbl, 1, &args );

}

void display_OPEN(void) {
	
  PtArg_t args[1];
			
	PtSetArg( &args[0], Pt_ARG_LABEL_DATA, imgs[16], sizeof( PhImage_t ) );
	PtSetResources( ABW_sec0_lbl, 1, &args );

	PtSetArg( &args[0], Pt_ARG_LABEL_DATA, imgs[15], sizeof( PhImage_t ) );
	PtSetResources( ABW_sec1_lbl, 1, &args );

	PtSetArg( &args[0], Pt_ARG_LABEL_DATA, imgs[14], sizeof( PhImage_t ) );
	PtSetResources( ABW_min0_lbl, 1, &args );

	PtSetArg( &args[0], Pt_ARG_LABEL_DATA, imgs[13], sizeof( PhImage_t ) );
	PtSetResources( ABW_min1_lbl, 1, &args );

	PtSetArg( &args[0], Pt_ARG_LABEL_DATA, imgs[17], sizeof( PhImage_t ) );
	PtSetResources( ABW_track1_lbl, 1, &args );
	PtSetResources( ABW_track0_lbl, 1, &args );
}

void display_NULL(void) {
	
  PtArg_t args[1];
			
	PtSetArg( &args[0], Pt_ARG_LABEL_DATA, imgs[17], sizeof( PhImage_t ) );
	PtSetResources( ABW_track1_lbl, 1, &args );
	PtSetResources( ABW_track0_lbl, 1, &args );
	PtSetResources( ABW_sec0_lbl, 1, &args );
	PtSetResources( ABW_sec1_lbl, 1, &args );
	PtSetResources( ABW_min0_lbl, 1, &args );
	PtSetResources( ABW_min1_lbl, 1, &args );

}
