
/* ../abmain.c */
void main ( int argc , char *argv []);
void ApClassInit ( void );

/* ../cd.c */
int cd_check_discs ( void );
int cd_read_subchnl ( struct cdrom_subchnl *sc );
int cd_read_toc ( void );
int cd_get_volume ( void );
int cd_set_volume ( void );
int cd_disc_present ( void );
void cd_pause_resume ( void );
void cd_stop ( void );
void cd_eject_load ( void );
void cd_lock_unlock ( void );
int cd_btns_cb ( PtWidget_t *widget , ApInfo_t *apinfo , PtCallbackInfo_t *cbinfo );
int cd_pwr_btn_cb ( PtWidget_t *widget , ApInfo_t *apinfo , PtCallbackInfo_t *cbinfo );
int cd_proxy_handler ( PtWidget_t *wgt , void *data , PtCallbackInfo_t *cbinfo );
int cd_play_status ( void );
int cd_update_display ( void );
int cd_wm_cb ( PtWidget_t *widget , ApInfo_t *apinfo , PtCallbackInfo_t *cbinfo );
void cd_play_audio ( long slba , long elba );
void cd_update_track_display ( void );
void cd_update_time_display ( void );
void cd_play ( int direction );
void shuffle_playlist ( void );
int cd_advance_disc ( void );
int cd_change_disc ( int disc );
void cd_clear_discs ( void );
void PtSetSensitive ( PtWidget_t *widget , int action );
void PtSetCursor ( PtWidget_t *widget , short cursor );
int cd_setsensitive ( int action );
int cd_selector_cb ( PtWidget_t *widget , ApInfo_t *apinfo , PtCallbackInfo_t *cbinfo );
int cd_wm_drag_cb ( PtWidget_t *widget , ApInfo_t *apinfo , PtCallbackInfo_t *cbinfo );

/* ../config.c */
int cfg_dialog_setup ( PtWidget_t *link_instance , ApInfo_t *apinfo , PtCallbackInfo_t *cbinfo );
int cfg_done_cb ( PtWidget_t *widget , ApInfo_t *apinfo , PtCallbackInfo_t *cbinfo );
int cfg_cancel_cb ( PtWidget_t *widget , ApInfo_t *apinfo , PtCallbackInfo_t *cbinfo );
int cfg_device_txt_cb ( PtWidget_t *widget , ApInfo_t *apinfo , PtCallbackInfo_t *cbinfo );
int cfg_dbase_txt_cb ( PtWidget_t *widget , ApInfo_t *apinfo , PtCallbackInfo_t *cbinfo );
int cfg_save ( void );
int cfg_load ( void );
void cfg_free_dbdirs ( void );
int cfg_get_dbdirs ( void );
void cfg_defaults ( void );
int cfg_open_device ( void );
void cfg_phabinit ( void );
void cfg_init ( void );
void cfg_dinit ( void );
void cfg_light_display ( void );
void cfg_dim_display ( void );

/* ../dbase.c */
int dbase_edit_dialog_setup ( PtWidget_t *link_instance , ApInfo_t *apinfo , PtCallbackInfo_t *cbinfo );
int db_wm_cb ( PtWidget_t *widget , ApInfo_t *apinfo , PtCallbackInfo_t *cbinfo );
int db_sum ( int n );
ulong_t db_discid ( void );
char *db_strcat ( char *s1 , char *s2 );
int db_strcmp ( char *s1 , char *s2 );
void db_putentry ( FILE *fp , char *idstr , char *entry );
void db_dbput ( disc_t *disc );
void db_add_linkent ( char *dtitle , char *idstr , ulong_t offset );
link_t *db_bld_link ( void );
void db_free_links ( void );
void db_dblink ( void );
void db_dbclear ( dbase_t *dbase );
void db_dbget ( disc_t *disc );
int db_parse ( disc_t *disc );
void db_default_dbase ( disc_t *disc );
int db_done_cb ( PtWidget_t *widget , ApInfo_t *apinfo , PtCallbackInfo_t *cbinfo );
int db_cancel_cb ( PtWidget_t *widget , ApInfo_t *apinfo , PtCallbackInfo_t *cbinfo );
int db_tracklist_selection_cb ( PtWidget_t *widget , ApInfo_t *apinfo , PtCallbackInfo_t *cbinfo );
int db_linklist_selection_cb ( PtWidget_t *widget , ApInfo_t *apinfo , PtCallbackInfo_t *cbinfo );
int db_link_dialog_setup ( PtWidget_t *link_instance , ApInfo_t *apinfo , PtCallbackInfo_t *cbinfo );
int db_category_cbox_cb ( PtWidget_t *widget , ApInfo_t *apinfo , PtCallbackInfo_t *cbinfo );
int db_disc_cbox_cb ( PtWidget_t *widget , ApInfo_t *apinfo , PtCallbackInfo_t *cbinfo );
int db_track_txt_cb ( PtWidget_t *widget , ApInfo_t *apinfo , PtCallbackInfo_t *cbinfo );
int db_artist_txt_cb ( PtWidget_t *widget , ApInfo_t *apinfo , PtCallbackInfo_t *cbinfo );
int db_title_txt_cb ( PtWidget_t *widget , ApInfo_t *apinfo , PtCallbackInfo_t *cbinfo );
void block_window ( PtWidget_t *window , int action );
void db_update_dbase_struct ( disc_t *disc );
int db_link_done_cb ( PtWidget_t *widget , ApInfo_t *apinfo , PtCallbackInfo_t *cbinfo );
int db_link_cancel_cb ( PtWidget_t *widget , ApInfo_t *apinfo , PtCallbackInfo_t *cbinfo );

/* ../menu.c */
int menu_item_cb ( PtWidget_t *widget , ApInfo_t *apinfo , PtCallbackInfo_t *cbinfo );

/* ../program.c */
int pgm_dialog_setup ( PtWidget_t *link_instance , ApInfo_t *apinfo , PtCallbackInfo_t *cbinfo );
int pgm_add_cb ( PtWidget_t *widget , ApInfo_t *apinfo , PtCallbackInfo_t *cbinfo );
int pgm_addall_cb ( PtWidget_t *widget , ApInfo_t *apinfo , PtCallbackInfo_t *cbinfo );
int pgm_remove_cb ( PtWidget_t *widget , ApInfo_t *apinfo , PtCallbackInfo_t *cbinfo );
int pgm_clearall_cb ( PtWidget_t *widget , ApInfo_t *apinfo , PtCallbackInfo_t *cbinfo );
int pgm_tracklist_selection_cb ( PtWidget_t *widget , ApInfo_t *apinfo , PtCallbackInfo_t *cbinfo );
int pgm_playlist_selection_cb ( PtWidget_t *widget , ApInfo_t *apinfo , PtCallbackInfo_t *cbinfo );
int pgm_done_cb ( PtWidget_t *widget , ApInfo_t *apinfo , PtCallbackInfo_t *cbinfo );
int pgm_cancel_cb ( PtWidget_t *widget , ApInfo_t *apinfo , PtCallbackInfo_t *cbinfo );
void pgm_create_tracklist ( void );
void pgm_update_tracklist ( void );
void pgm_create_playlist ( void );
void pgm_update_playlist ( void );
void pgm_add_entry ( program_entry_t *entry );
void pgm_remove_entry ( program_entry_t *entry );
void pgm_add_entries ( program_entry_t *entry , int position , int nentries );
program_entry_t *pgm_remove_entries ( int position , int nentries );
program_entry_t *pgm_create_entry ( void );
int pgm_clear_program ( void );

/* ../PtDList.c */
int PtDListAddItems ( PtWidget_t *widget , char **items , int item_count , unsigned int position );
int PtDListItemExists ( PtWidget_t *widget , char *item );
int PtDListItemPos ( PtWidget_t *widget , char *item );
int PtDListReplaceItemPos ( PtWidget_t *widget , char **new_items , int item_count , int position );
int PtDListReplaceItems ( PtWidget_t *widget , char **old_items , char **new_items , int item_count );
int PtDListDeleteItems ( PtWidget_t *widget , char **items , int item_count );
int PtDListDeletePositions ( PtWidget_t *widget , unsigned int *pos_list , int pos_count );
int PtDListDeleteItemPos ( PtWidget_t *widget , int item_count , int position );
int PtDListDeleteAllItems ( PtWidget_t *widget );
void list_damage_visible ( PtWidget_t *widget );
void list_indicator ( PtWidget_t *win , PtWidget_t *widget , int action );
void list_change_cursor ( PtWidget_t *widget , ushort_t cursor_type );
void dlist_sel_item ( PtWidget_t *widget , int index );
void PtExtentDList ( PtWidget_t *widget );
int dlist_chars_in_bounds ( PtWidget_t *wp , char *string );
PtWidgetClass_t *PtCreateDListClass ( void );
