#line 1 ".././config.c"

/* phcd:  config.c module                                */
/*                            AppBuilder Photon Code Lib */
/*                                         Version 0.91B */

/* Standard headers */
#line 1 "/usr/nto/include/stdio.h"

/*
   stdio.h     Standard I/O functions
 
   Copyright by WATCOM International Corp. 1988-1995.  All rights reserved.
   Copyright by QNX Software Systems Limited 1990-1995. All rights reserved.
 */

#line 11 "/usr/nto/include/stdio.h"
 
#pragma pack(push,1);
#line 16 "/usr/nto/include/stdio.h"



 typedef unsigned size_t;



 
  
 #line 28 "/usr/nto/include/stdio.h"



 #line 34 "/usr/nto/include/stdio.h"
  typedef char *__va_list[1];
 
 


/*  Default buffer size                 */
/*  minimum guaranteed open files       */


typedef struct  __iobuf {
        unsigned char   *_ptr;          /* next character position */ 
        int             _cnt;           /* number of characters left */ 
        unsigned char   *_base;         /* location of buffer */ 
        unsigned        _flag;          /* mode of file access */ 
        int             _handle;        /* file handle */ 
        unsigned        _bufsize;       /* size of buffer */ 
        unsigned char   _ungotten;      /* character placed here by ungetc */ 
        unsigned char   _tmpfchar;      /* tmpfile number */ 
        unsigned short  _count;         /* filelock count */    
        struct __iobuf  *_next;         /* next entry */ 
        int             _tid;           /* filelock Thread ID */ 
} FILE;

typedef long    fpos_t;

/*  same as _NFILES                     */

#line 64 "/usr/nto/include/stdio.h"
extern  FILE   __near __iob[];

/*
   Define macros to access the three default file pointer (and descriptors)
   provided to each process by default.  They will always occupy the
   first three file pointers in each processes' table.
 */
/* standard input file  */
/* standard output file */
/* standard error file  */

/* values for _flag field in FILE struct */

/* file opened for reading */
/* file opened for writing */
/*  ungetc has been done            */
/* big buffer allocated */
/* EOF has occurred */
/* error has occurred on this file */
/* file opened for append */
/* not required for POSIX QNX       */
/*  full buffering                  */
/*  line buffering                  */
/*  no buffering                    */
/* this is a temporary file */
/* buffer has been modified */
/* is console device */
/*  FILE is dynamically allocated   */

/*  End of File/Error return code   */

extern int          _multi_threaded;    /*  Non-zero if pthread_create ever called */ 

/*  Seek relative to start of file  */
/*  Seek relative to current positn */
/*  Seek relative to end of file    */


/*  Max length of login names       */
/*  Max length of terminal names    */
/*  Temporary file directory        */

/*  Max length of tmp file names    */
/*  Max times tmpnam can be called  */

extern void     clearerr( FILE *__fp );
extern int      fclose( FILE *__fp );
extern int      feof( FILE *__fp );
extern int      ferror( FILE *__fp );
extern int      fflush( FILE *__fp );
extern int      fgetc( FILE *__fp );
extern int      fgetpos( FILE *__fp, fpos_t *__pos );
extern char     *fgets( char *__s, int __n, FILE *__fp );
extern FILE     *fopen( const char *__filename, const char *__mode );
extern int      fprintf( FILE *__fp, const char *__format, ... );
extern int      fputc( int __c, FILE *__fp );
extern int      fputs( const char *__s, FILE *__fp );
extern size_t   fread( void *__ptr, size_t __size, size_t __n, FILE *__fp );
extern FILE     *freopen( const char *__filename, const char *__mode, FILE *__fp );
extern int      fscanf( FILE*__fp, const char *__format, ... );
extern int      fseek( FILE *__fp, long int __offset, int __whence );
extern int      fsetpos( FILE *__fp, const fpos_t *__pos );
extern long int ftell( FILE *__fp );
extern size_t   fwrite( const void *__ptr, size_t __size, size_t __n, FILE *__fp );
extern int      getc( FILE *__fp );
extern int      getchar( void );
extern char     *gets( char *__s );
extern void     perror( const char *__s );
extern int      printf( const char *__format, ... );
extern int      putc( int __c, FILE *__fp );
extern int      putchar( int __c );
extern int      puts( const char *__s );
extern int      remove( const char *__filename );
extern int      rename( const char *__old, const char *__new );
extern void     rewind( FILE *__fp );
extern int      scanf( const char *__format, ... );
extern void     setbuf( FILE *__fp, char *__buf );
extern int      setvbuf( FILE *__fp, char *__buf, int __mode, size_t __size );
extern int      sprintf( char *__s, const char *__format, ... );
extern int      sscanf( const char *__s, const char *__format, ... );
extern FILE     *tmpfile( void );
extern char     *tmpnam( char *__s );
extern int      ungetc( int __c, FILE *__fp );
extern int      vfprintf( FILE *__fp, const char *__format, __va_list __arg );
extern int      vprintf( const char *__format, __va_list __arg );
extern int      vsprintf( char *__s, const char *__format, __va_list __arg );

/*extensions enabled*/
extern int      fcloseall( void );
extern int      _grow_handles( int __new_count );
extern int      fgetchar( void );
extern int      fputchar( int __c );
extern FILE     *_fsopen( const char *__filename, const char *__mode, int __shflag );
extern int      flushall( void );
extern int      vfscanf( FILE *__fp, const char *__format, __va_list __arg );
extern int      vscanf( const char *__format, __va_list __arg );
extern int      vsscanf( const char *__s, const char *__format, __va_list __arg );
extern int      _bprintf( char *__buf, unsigned int __bufsize, const char *__fmt, ... );
extern int      _vbprintf( char *__s, unsigned int __bufsize, const char *__format, __va_list __arg );
#line 167 "/usr/nto/include/stdio.h"



extern char     *ctermid( char * );
extern char     *cuserid( char * );
extern FILE     *fdopen( int __handle, const char *__mode );
extern FILE     *popen( const char *__filename, const char *__mode );
extern int      pclose( FILE *stream );


extern void flockfile(FILE *fp);
extern int ftrylockfile(FILE *fp);
extern void funlockfile(FILE *fp);






#line 190 "/usr/nto/include/stdio.h"






























 
#pragma pack(pop);
#line 225 "/usr/nto/include/stdio.h"

#line 229 "/usr/nto/include/stdio.h"

#line 7 ".././config.c"

#line 1 "/usr/nto/include/stdlib.h"

/*
   stdlib.h    Standard Library functions
 
   Copyright by WATCOM International Corp. 1988-1995.  All rights reserved.
   Copyright by QNX Software Systems Limited 1990-1995. All rights reserved.
 */

#line 11 "/usr/nto/include/stdlib.h"
 
#pragma pack(push,1);
#line 16 "/usr/nto/include/stdlib.h"


#line 22 "/usr/nto/include/stdlib.h"





#line 30 "/usr/nto/include/stdlib.h"
typedef unsigned short wchar_t;

#line 37 "/usr/nto/include/stdlib.h"

#line 45 "/usr/nto/include/stdlib.h"






    


typedef struct  {
        int     quot;
        int     rem;
} div_t;

typedef struct  {
        long    quot;
        long    rem;
} ldiv_t;

extern void      abort( void );
extern int       abs( int __j );
extern int       atexit( register void ( *__func )( void ) );
extern double    atof( const char *__nptr );
extern int       atoi( const char *__nptr );
extern long int  atol( const char *__nptr );
extern void     *bsearch( const void *__key, const void *__base,
                    size_t __nmemb, size_t __size,
                    int ( *__compar )( const void *__pkey, const void *__pbase ) );
extern void     *calloc( size_t __n, size_t __size );
extern div_t     div( int __numer, int __denom );
extern void      exit( int __status );
extern void      free( void *__ptr );
extern char     *getenv( const char *__name );
extern long int  labs( long int __j );
extern ldiv_t    ldiv( long int __numer, long int __denom );
extern void     *malloc( size_t __size );
extern int       mblen( const char *__s, size_t __n );
extern size_t    mbstowcs( wchar_t *__pwcs, const char *__s, size_t __n );
extern int       mbtowc( wchar_t *__pwc, const char *__s, size_t __n );
extern size_t    wcstombs( char *__s, const wchar_t *__pwcs, size_t __n );
extern int       wctomb( char *__s, wchar_t __wchar );
extern void      qsort( void *__base, size_t __nmemb, size_t __size,
                    int (*__compar)( const void *, const void * ) );
extern int       rand( void );
extern void     *realloc( void *__ptr, size_t __size );
extern void      srand( unsigned int __seed );
extern double    strtod( const char *__nptr, char **__endptr );
extern long int  strtol( const char *__nptr, char **__endptr, int __base );
extern unsigned long     strtoul( const char *__nptr, char **__endptr, int __base );
extern int       system( const char *__string );

#line 102 "/usr/nto/include/stdlib.h"






void             _exit( int __status );


/*extensions enabled*/

extern unsigned  atoh( const char *__nptr );
extern char     *ecvt( double __val, int __ndig, int *__dec, int *__sign );
extern char     *_ecvt( double __val, int __ndig, int *__dec, int *__sign );
extern char     *fcvt( double __val, int __ndig, int *__dec, int *__sign );
extern char     *_fcvt( double __val, int __ndig, int *__dec, int *__sign );
extern char     *_fullpath( char *__buf, const char *__path, size_t __size );
extern char     *gcvt( double __val, int __ndig, char *__buf );
extern char     *_gcvt( double __val, int __ndig, char *__buf );
extern char     *itoa( int __value, char *__buf, int __radix );
extern char     *_itoa( int __value, char *__buf, int __radix );
extern unsigned long _lrotl( unsigned long __value, unsigned int __shift );
extern unsigned long _lrotr( unsigned long __value, unsigned int __shift );
extern char     *ltoa( long int __value, char *__buf, int __radix );
extern char     *_ltoa( long int __value, char *__buf, int __radix );
extern void      _makepath( char *__path, const char *__drive,
                    const char *__dir, const char *__fname,
                    const char *__ext );
extern unsigned int _rotl( unsigned int __value, unsigned int __shift );
extern unsigned int _rotr( unsigned int __value, unsigned int __shift );
extern int       putenv( const char *__string );
extern void      _searchenv( const char *__name, const char *__env_var,
                    char *__buf );
extern int       need_usage( char **argv );
extern int       print_usage( char **argv );
extern void      searchenv( const char *__name, const char *__env_var,
                    char *__buf );
extern void      _splitpath2( const char *__inp, char *__outp,
                    char **__drive, char **__dir, char **__fn, char **__ext );
extern void      _splitpath( const char *__path, char *__drive,
                    char *__dir, char *__fname, char *__ext );
extern void      swab( char *__src, char *__dest, int __num );
extern char     *ultoa( unsigned long int __value, char *__buf, int __radix );
extern char     *utoa( unsigned int __value, char *__buf, int __radix );

#line 153 "/usr/nto/include/stdlib.h"

/* min and max macros */














/*
  The following sizes are the maximum sizes of buffers used by the _fullpath()
  _makepath() and _splitpath() functions.  They include space for the '\0'
  terminator.
 */
/*  maximum length of path name         */
/*  maximum length of node name w/ '\0' */
/*  maximum length of node name w/ '\0' */
/*  maximum length of subdirectory      */
/*  maximum length of a file name       */
/*  maximum length of a file extension  */

/* maximum size of output buffer
                                    for _splitpath2() */

extern char **environ;   /*  pointer to environment table        */ 


    

extern int  (*__get_errno_ptr()) ;
extern unsigned char __near _osmajor;   /*  O/S version #                   */ 
extern unsigned char __near _osminor;   /*  O/S version #                   */ 
extern unsigned __near      _amblksiz;  /*  mallocs done in multiples of    */ 


extern void  *alloca(size_t __size);
extern void  *_alloca(size_t __size);
extern void  *__doalloca(size_t __size);
extern unsigned stackavail( void );
#pragma aux stackavail modify nomemory;








#pragma aux     __doalloca =                            \
            "sub esp,eax"                               \
            parm nomemory [eax] value [esp] modify exact nomemory [esp];
#line 222 "/usr/nto/include/stdlib.h"



extern int brk(void *endds);
extern void *sbrk(int incr);
#line 231 "/usr/nto/include/stdlib.h"

 typedef void (*onexit_t)();
extern onexit_t onexit(onexit_t __func);


 
#pragma pack(pop);
#line 241 "/usr/nto/include/stdlib.h"

#line 245 "/usr/nto/include/stdlib.h"

#line 8 ".././config.c"

#line 1 "/usr/nto/include/unistd.h"

/*
   unistd.h
 
   Copyright by WATCOM International Corp. 1988-1993.  All rights reserved.
   Copyright by QNX Software Systems Limited 1990-1996. All rights reserved.
 */



#line 13 "/usr/nto/include/unistd.h"


 #line 1 "/usr/nto/include/sys/types.h"

/*
   sys/types.h Defined system types
 
   Copyright by QNX Software Systems Limited 1990-1993. All rights reserved.
 */

#line 10 "/usr/nto/include/sys/types.h"


 
 typedef signed long time_t;     /* time value */ 


#line 24 "/usr/nto/include/sys/types.h"


  
  
   typedef signed ssize_t;
  #line 32 "/usr/nto/include/sys/types.h"



#line 1 "/usr/nto/include/limits.h"

/*
   limits.h    Machine and OS limits
 
   Copyright by WATCOM International Corp. 1988-1995.  All rights reserved.
   Copyright by QNX Software Systems Limited 1990-1995. All rights reserved.
 */


/*
   ANSI required limits
 */
/*  number of bits in a byte        */
#line 17 "/usr/nto/include/limits.h"
 /*  minimum value of a char         */
 /*  maximum value of a char         */

/*  maximum length of multibyte char    */
/*  minimum value of a signed char      */
/*  maximum value of a signed char      */
/*  maximum value of an unsigned char   */

/*  minimum value of a short int        */
/*  maximum value of a short int        */
/*  maximum value of an unsigned short  */
/*  maximum value of a long int     */
/* minimum value of a long int     */
/* maximum value of a unsigned long    */

 /*  minimum value of an int         */
 /*  maximum value of an int         */
 /*  maximum value of an unsigned int*/
#line 40 "/usr/nto/include/limits.h"



/*
   POSIX required limits.
   These are minimums values, not absolute limits,
   and the real value may be greater.
 */
/*  Length of args for exec             */
                                    /*  functions including environment data*/
/*  Number of simultaneous              */
                                    /*  processes per real user ID.         */
/*  Max. links per file                 */
/*  No. bytes in terminal               */
                                    /*  cannonical input queue.             */
/*  Size of terminal input queue buffer */
/*  Max bytes in a filename             */
/*  Num. simultaneous supplementary     */
                                    /*  group IDs per process               */
/*  Min num. files open per process.    */
/*  Num. bytes in pathname (excl. NULL) */
/*  Num. bytes written atomically to a  */
                                    /*  pipe.                               */
/*  The value that can be stored in an  */
                                    /*  object of type ssize_t.             */
/*  The number of streams that one      */
                                    /*  process can have open at one time.  */
/*  The number of loops to traverse     */
                                    /*  while resolving symbolic links      */
                                    /*  or prefix aliases.                  */
/*  The maximum number of bytes         */
                                    /*  supported for the name of a time    */
                                    /*  zone (not of the TZ variable).      */
/*  The maximum length of a ttyname     */






#line 83 "/usr/nto/include/limits.h"










/*
   Run-time increasable values
 
 */
/*  Num. simultaneous supplementary */
                                        /*  group IDs per process           */

/*
   Run-time invariant values (possible indeterminate)
 
   CHILD_MAX and OPEN_MAX are indeterminate.
 */

/* no child max             */
/* no open max              */
/* no stream max            */
/* QNX implementation maximum   */



/*
   Pathname variable values (may vary by pathname)
 */







/*
   Invariant values
 */

/* This is bigger than _POSIX_SYMLOOP_MAX */



/* no open max */


/*
   Posix .2/9 limits.
 */











/* _POSIX_SOURCE || _QNX_SOURCE || !NO_EXT_KEYS */














#line 36 "/usr/nto/include/sys/types.h"



/* Define POSIX 1003.1 types */

typedef long        dev_t;      /* Combination of node and device   */ 

 
  typedef int gid_t;             /* Used for group IDs           */ 
 #line 47 "/usr/nto/include/sys/types.h"
 typedef short mgid_t;          /* Used for group in messages */ 
 

typedef long        ino_t;      /* Used for file serial numbers     */ 
typedef short unsigned  mode_t; /* Used for some file attributes    */ 
typedef short unsigned  nlink_t;/* Used for link counts         */ 
typedef long        off_t;      /* Used for file sizes, offsets     */ 

 typedef int   pid_t;            /* Used for process IDs & group IDs */ 
#line 59 "/usr/nto/include/sys/types.h"
//typedef short mpid_t;           /* Used for process & group IDs in messages */ 
typedef int mpid_t;           /* Used for process & group IDs in messages */ 

 
  typedef int uid_t;             /* Used for user IDs            */ 
 #line 67 "/usr/nto/include/sys/types.h"
 typedef short muid_t;          /* used in messages */ 
 


typedef short unsigned  msg_t;  /* Used for message passing     */ 
typedef long        nid_t;      /* Used for network IDs         */ 

 
 
  typedef int         timer_t;    /* Used for timer IDs           */ 
 #line 80 "/usr/nto/include/sys/types.h"


 
 
  typedef int         clockid_t;  /* Used for clock IDs           */ 
 #line 88 "/usr/nto/include/sys/types.h"








typedef char *          caddr_t;
#line 100 "/usr/nto/include/sys/types.h"
typedef char __far *    faddr_t;
typedef unsigned long   paddr_t;  
typedef long            daddr_t;
typedef unsigned char   uchar_t;
typedef unsigned short  ushort_t;
typedef unsigned int    uint_t;
typedef unsigned long   ulong_t;
typedef unsigned char   u_char;
typedef unsigned short  u_short;
typedef unsigned int    u_int;
typedef unsigned long   u_long;
typedef struct _uquad   { u_long val[2]; } u_quad;
typedef struct _quad    {   long val[2]; } quad;
typedef quad *          qaddr_t;
typedef unsigned long   fixpt_t;

 typedef int             key_t;
#line 120 "/usr/nto/include/sys/types.h"
typedef unsigned short  sel_t;

typedef struct iovec {
    caddr_t     iov_base;
    long        iov_len;
    } iov_t;






#line 135 "/usr/nto/include/sys/types.h"

#line 16 "/usr/nto/include/unistd.h"



#line 21 "/usr/nto/include/unistd.h"

/* Symbolic constants for the access() function */

/*  Test for read permission    */
/*  Test for write permission   */
/*  Test for execute permission */
/*  Test for existence of file  */

/* Symbolic constants for the lseek() function */

/* If not already defined, define them  */
/* Seek relative to the start of file   */
/* Seek relative to current position    */
/* Seek relative to the end of the file */



/* Symbolic constants for stream I/O */





/* Compile-time Symbolic Constants for Portability Specifications */

/* no job control                   */
/* no saved-set user-ID & group-ID  */
/* YYYYmm of POSIX std approval     */









 




/* Symbolic constants for sysconf */
/* caution: the module sysconf.c bound checks _SC_ARG_MAX ... _SC_PAGESIZE */











/* Execution-time Symbolic Constants for Portability Specifications */

/* restricted use of chown() */
/* pathname components > NAME_MAX */
/* terminal special chars can be disabled */

/* Symbolic constants for pathconf, fpathconf */










/* test for dos share support   */


/*extensions enabled*/

extern int   optind;        /*  index of current option being scanned */ 
extern char *optarg;        /*  points to optional argument */ 
extern int   opterr;        /*  print|don't print error message */ 
extern int   optopt;        /*  offending letter when error detected */ 

/* Symbolic constants for confstr */





#line 112 "/usr/nto/include/unistd.h"

/*
   POSIX 1003.1 Prototypes
 */


extern void    _exit( int __status );
#pragma aux    _exit aborts;


extern int      access( const char *__path, int __mode );

extern int      brk(void *endds);
extern void     *sbrk(int incr);

extern int      chdir( const char *__path );
extern int      close( int __fildes );
extern int      dup( int __fildes );
extern char     *getcwd( char *__buf, size_t __size );
extern pid_t    getpid( void );
extern int      gettid( void );
extern int      isatty( int __fildes );
extern off_t    lseek( int __fildes, off_t __offset, int __whence );
extern ssize_t  read( int __fildes, void *__buffer, size_t __len );
extern ssize_t  _readx(int __fildes, void *__buffer, size_t __len, unsigned xtype, unsigned *xdata);
extern ssize_t  _readxv(int fd, struct iovec *iovec, int nparts, unsigned xtype, unsigned *xdata, size_t nbytes);
extern ssize_t  readv( int __fildes, struct iovec *__iov, int __nparts );
extern int      readblock(int fd, size_t blksize, unsigned block, int numblks, void *buff);
extern int      rmdir( const char *__path );

extern int      setmode( int __handle, int __mode );

extern unsigned int sleep( unsigned int __seconds );
extern int      unlink( const char *__path );
extern ssize_t  write( int __fildes, const void *__buf, size_t __len );
extern ssize_t  _writex(int __fildes, void *__buffer, size_t __len, unsigned xtype, unsigned *xdata);
extern ssize_t  _writexv(int fd, struct iovec *iovec, int nparts, unsigned xtype, unsigned *xdata, size_t nbytes);
extern ssize_t  writev( int __fildes, struct iovec *__iov, int __nparts );
extern int      writeblock(int fd, size_t blksize, unsigned block, int numblks, const void *buff);
extern unsigned alarm( unsigned int __seconds );
extern int      chown( const char *__path, uid_t __owner, gid_t __group );
extern int      chroot(const char *__path);
extern int      dup2( int __fildes, int __fildes2 );
extern int      fchown( int __fildes, uid_t __owner, gid_t __group );
extern int      fdatasync( int __fildes );
extern int      fsync( int __fildes );
extern pid_t    fork( void );
extern long     fpathconf( int __fildes, int __name );
extern gid_t    getegid( void );
extern uid_t    geteuid( void );
extern gid_t    getgid( void );
extern int      getgroups( int __gidsetsize, gid_t __grouplist[] );
extern char     *getlogin( void );
extern pid_t    getpgrp( void );
extern pid_t    getppid( void );
extern pid_t    getsid(pid_t __pid);
extern uid_t    getuid( void );
extern int      link( const char *__path1, const char *__path2 );
extern int      mkdir( const char *__path, mode_t __mode );
extern int      mknod( const char *__path, mode_t __mode, int __dev );
extern int      mount( const char *__special, const char * __dir, int __rwflag );
extern long     pathconf( const char *__path, int __name );
extern int      pause( void );
extern int      pipe( int __fildes[2] );
extern int      readlink( const char *__path, char *__buf, size_t __bufsiz );
extern int      setegid( gid_t __newegroup );
extern int      seteuid( uid_t __newuserid );
extern int      setgid( gid_t __newgroup );
extern int      setpgid( pid_t __pid, pid_t __pgroupid );
extern pid_t    setsid( void );
extern int      setuid( uid_t __newuserid );
extern int      symlink( const char *__pname, const char *__slink );
extern long     sysconf( int __name );
extern pid_t    tcgetpgrp( int __fildes );
extern int      tcsetpgrp( int __fildes, pid_t __pgrp_id );
extern int      tcsetct( int __fildes, pid_t pid );
extern char     *ttyname( int __fildes );
extern int      ttyname_r( int __fildes, char *buf, size_t bufsize );
extern int      umount( const char *__special );

/*extensions enabled*/

extern int      readcond(int fd, void *buff, int nbytes, int  min , int time, int timeout);
extern int      ionotify(int fd, unsigned flags, int num, struct sigevent *event);
extern int      chsize( int __fildes, long __size );
extern int      eof( int __fildes );
extern long     filelength( int __fildes );
extern off_t    tell( int __fildes );
extern nid_t    getnid( void );
extern int      lock( int __fildes, long __offset, long __nbytes );
extern void     qnx_display_msg( const char *__text );
extern void     qnx_display_hex( unsigned __value );
extern char     *qnx_fullpath( char * __fullpath, const char * __path );

struct _psinfo2; /* for C++ */ 

extern int      qnx_getids( pid_t pid, struct _psinfo2 *info);
extern int      qnx_setids( pid_t pid, int id, unsigned subtype );
extern int      qnx_sync( nid_t nid );
extern void     sync( void );
extern int      unlock( int __fildes, long __offset, long __nbytes );



/*extensions enabled*/
extern int      getopt( int __argc, const char * const* __argv, const char * __optstring );
extern char     *basename( const char * __fname );
extern size_t   confstr( int, char*, size_t );
extern int      fnmatch( const char *__pattern, const char *__string, int __flag );
extern off_t    ltrunc( int __fildes, off_t __offset, int __origin );
extern int      putenv(const char * estring);





#line 232 "/usr/nto/include/unistd.h"


#line 237 "/usr/nto/include/unistd.h"

#line 9 ".././config.c"

#line 1 "/usr/nto/include/string.h"

/*
   string.h    String functions
 
   Copyright by WATCOM International Corp. 1988-1995.  All rights reserved.
 */

#line 10 "/usr/nto/include/string.h"

#line 15 "/usr/nto/include/string.h"

#line 23 "/usr/nto/include/string.h"

extern void *memchr( const void *__s, int __c, size_t __n );
extern int   memcmp( const void *__s1, const void *__s2, size_t __n );
extern void *memcpy( void *__s1, const void *__s2, size_t __n );
extern void *memmove( void *__s1, const void *__s2, size_t __n );
extern void *memset( void *__s, int __c, size_t __n );
extern char *strcat( char *__s1, const char *__s2 );
extern char *strchr( const char *__s, int __c );
extern int strcmp( const char *__s1, const char *__s2 );
extern int strcoll( const char *__s1, const char *__s2 );
extern size_t strxfrm( char *__s1, const char *__s2, size_t __n );
extern char *strcpy( char *__s1, const char *__s2 );
extern size_t strcspn( const char *__s1, const char *__s2 );
extern char *strerror( int __errnum );
extern size_t strlen( const char *__s );
extern char *strncat( char *__s1, const char *__s2, size_t __n );
extern int strncmp( const char *__s1, const char *__s2, size_t __n );
extern char *strncpy( char *__s1, const char *__s2, size_t __n );
extern char *strpbrk( const char *__s1, const char *__s2 );
extern char *strrchr( const char *__s, int __c );
extern size_t strspn( const char *__s1, const char *__s2 );
extern char *strstr( const char *__s1, const char *__s2 );
extern char *strtok( char *__s1, const char *__s2 );

/*extensions enabled*/

/* WATCOM's Additional Functions (non-ANSI, non-POSIX) */


extern void __far *_fmemccpy(void __far *__s1,const void __far *__s2,int __c,size_t __n);


extern void __far *_fmemchr( const void __far *__s, int __c, size_t __n );


extern void __far *_fmemcpy( void __far *__s1, const void __far *__s2, size_t __n );


extern void __far *_fmemmove( void __far *__s1, const void __far *__s2, size_t __n );


extern void __far *_fmemset( void __far *__s, int __c, size_t __n );


extern int  _fmemcmp( const void __far *__s1, const void __far *__s2, size_t __n );


extern int  _fmemicmp( const void __far *__s1, const void __far *__s2, size_t __n );


extern char __far *_fstrcat( char __far *__s1, const char __far *__s2 );


extern char __far *_fstrchr( const char __far *__s, int __c );


extern int  _fstrcmp( const char __far *__s1, const char __far *__s2 );


extern char __far *_fstrcpy( char __far *__s1, const char __far *__s2 );


extern size_t _fstrcspn( const char __far *__s1, const char __far *__s2 );


extern char __far *_fstrdup( const char __far *__string );


extern int  _fstricmp( const char __far *__s1, const char __far *__s2 );


extern char __far *_fstrncat( char __far *__s1, const char __far *__s2, size_t __n );


extern size_t _fstrlen( const char __far *__s );


extern char __far *_fstrlwr( char __far *__string );


extern int  _fstrncmp( const char __far *__s1, const char __far *__s2, size_t __n );


extern char __far *_fstrncpy( char __far *__s1, const char __far *__s2, size_t __n );


extern int  _fstrnicmp( const char __far *__s1, const char __far *__s2, size_t __n );


extern char __far *_fstrnset( char __far *__string, int __c, size_t __len );


extern char __far *_fstrpbrk( const char __far *__s1, const char __far *__s2 );


extern char __far *_fstrrchr( const char __far *__s, int __c );


extern char __far *_fstrrev( char __far *__string );


extern char __far *_fstrset( char __far *__string, int __c );


extern size_t _fstrspn( const char __far *__s1, const char __far *__s2 );


extern char __far *_fstrstr( const char __far *__s1, const char __far *__s2 );


extern char __far *_fstrtok( char __far *__s1, const char __far *__s2 );


extern char __far *_fstrupr( char __far *__string );

extern void movedata( unsigned __srcseg, unsigned __srcoff,
               unsigned __tgtseg, unsigned __tgtoff, unsigned __len );
extern void *memccpy( void *__s1, const void *__s2, int __c, size_t __n );
extern int  memicmp( const void *__s1, const void *__s2, size_t __n );
extern int  _memicmp( const void *__s1, const void *__s2, size_t __n );
extern int   strcmpi( const char *__s1, const char *__s2 );
extern char *strdup( const char *__string );
extern char *_strdup( const char *__string );
extern int   stricmp( const char *__s1, const char *__s2 );
extern int   _stricmp( const char *__s1, const char *__s2 );
extern char *strlwr( char *__string );
extern char *_strlwr( char *__string );
extern int   strnicmp( const char *__s1, const char *__s2, size_t __n );
extern int   _strnicmp( const char *__s1, const char *__s2, size_t __n );
extern char *strnset( char *__string, int __c, size_t __len );
extern char *strrev( char *__string );
extern char *_strrev( char *__string );
extern char *strset( char *__string, int __c );
extern char *strupr( char *__string );
extern char *_strupr( char *__string );

/* QNX's Additional Functions (non-ANSI, non-POSIX) */

extern void __strerror( int  __max , int __errnum, char *__buf );
/* EXTENSIONS */

/* __INLINE_FUNCTIONS__ */#line 174 "/usr/nto/include/string.h"


#line 179 "/usr/nto/include/string.h"

#line 10 ".././config.c"

#line 1 "/usr/nto/include/dirent.h"

/*
   dirent.h    Portable directory entry definitions
 
   Copyright by QNX Software Systems Limited 1990-1993. All rights reserved.
   Copyright by WATCOM International Corp. 1988-1993.  All rights reserved.
 */



 #line 1 "/usr/nto/include/sys/stat.h"

/*
   stat.h      File stat structure and definitions
 
   Copyright by QNX Software Systems Limited 1990-1993. All rights reserved.
 */


#line 11 "/usr/nto/include/sys/stat.h"

 
#pragma pack(push,1);
#line 17 "/usr/nto/include/sys/stat.h"


typedef short unsigned  _nxtnt_t;
typedef unsigned char   _ftype_t;

typedef struct _xtnt_entry {
    long    xtnt_blk,
            xtnt_size;
} _xtnt_t;



struct stat {
    ino_t           st_ino;         /*  File serial number.                 */ 
    dev_t           st_dev;         /*  ID of device containing file.       */ 
    off_t           st_size;
    dev_t           st_rdev;        /*  Device ID, for inode that is device */ 
    uid_t           st_uid;
    gid_t           st_gid;
    time_t          st_ftime,       /*  Time created                        */ 
                    st_mtime,       /*  Time of last data modification      */ 
                    st_atime,       /*  Time last accessed                  */ 
                    st_ctime;       /*  Time of last status change          */ 
    short unsigned  st_spare1;
    mode_t          st_mode;        /*  see below                           */ 
    long            st_spare2;
    nlink_t         st_nlink;
    long            st_spare3;
    _ftype_t        st_spare0;
    unsigned char   st_status;
};

/*
   Extended stat structure.
   Contains a lot of QNX specific data.
   (Mainly filesystem data corresponding to data on disk.)
 */
struct _fsys_stat {
    ino_t           st_ino;         /*  File serial number.                 */ 
    dev_t           st_dev;         /*  ID of device containing file.       */ 
    off_t           st_size;
    dev_t           st_rdev;        /*  Device ID, for inode that is device */ 
    _xtnt_t         st_first_xtnt;
    time_t          st_ftime,       /*  Time created                        */ 
                    st_mtime,       /*  Time of last data modification      */ 
                    st_atime,       /*  Time last accessed                  */ 
                    st_ctime;       /*  Time of last status change          */ 
    _nxtnt_t        st_num_xtnts;
    mode_t          st_mode;        /*  see below                           */ 
    mgid_t           st_uid;
    muid_t           st_gid;
    nlink_t         st_nlink;
    long            st_spare1;      /*  Must be zero                        */ 
    _ftype_t        st_spare0;
    unsigned char   st_status;
    long            st_xblk,
                    st_spare2[5];
};

/*  Type of file                    */
/*  FIFO                            */
/*  Character special               */
/*  Directory                       */
/*  Special named file              */
/*  Block special                   */
/*  Regular                         */
/*  Symbolic link                   */
/*  Socket                          */

/* Test for FIFO.             */
/* Test for char special file.*/
/* Test for directory file.   */
/* Test for block specl file. */
/* Test for regular file.     */

/* Test for symbolic link.    */
/* Test for special named file*/
/* Test for socket.           */







/*
   For special named files (IFNAM), the subtype is encoded in st_rdev.
   They subtypes are:
 */
/*  semaphore subtype               */
/*  shared data subtype             */
/*  message queue subtype           */
/*  QNX special type                */



/*
   Common filetype macros
 */
/*  Type of file                    */
/*  FIFO                            */
/*  Character special               */
/*  Directory                       */
/*  Special named file              */
/*  Block special                   */
/*  Regular                         */
/*  Symbolic link                   */
/*  Socket                          */

/*  Semaphore                       */
/*  Shared Memory                   */
/*  Message Queue                   */

/*  Permission mask                 */


/* set user id on execution         */
/* set group id on execution        */
/* sticky bit (does nothing yet)    */
/* enforcement mode locking         */

/*
   Owner permissions
 */
/*  Read, write, execute/search     */
/*  Read permission                 */
/*  Write permission                */
/*  Execute/search permission       */
/*  Read permission                 */
/*  Write permission                */
/*  Execute/search permission       */

/*
   Group permissions
 */
/*  Read, write, execute/search     */
/*  Read permission                 */
/*  Write permission                */
/*  Execute/search permission       */

/*
   Other permissions
 */
/*  Read, write, execute/search     */
/*  Read permission                 */
/*  Write permission                */
/*  Execute/search permission       */

/*
   POSIX 1003.1 Prototypes.
 */
#line 171 "/usr/nto/include/sys/stat.h"
extern int     chmod( const char *__path, mode_t __mode );
extern int     stat( const char * __path, struct stat * __buf );
extern int     lstat( const char * __path, struct stat * __buf );
extern int     fsys_stat( const char * __path, struct _fsys_stat * __buf );
extern int     fchmod( int __fildes, mode_t __mode );
extern int     fstat( int __fildes, struct stat * __buf );
extern int     fsys_fstat( int __fildes, struct _fsys_stat * __buf );
extern int     mkdir( const char *__path, mode_t __mode );
extern int     mkfifo( const char *__path, mode_t __mode );
extern int     mknod( const char *__path, mode_t __mode, int __dev );
extern mode_t  umask( mode_t __cmask );
extern mode_t  qnx_umask( pid_t __pid, mode_t __cmask );

void    __fixstat(struct stat *);
#line 188 "/usr/nto/include/sys/stat.h"
#line 191 "/usr/nto/include/sys/stat.h"

 
#pragma pack(pop);
#line 197 "/usr/nto/include/sys/stat.h"



#line 11 "/usr/nto/include/dirent.h"



#line 16 "/usr/nto/include/dirent.h"

 
#pragma pack(push,1);
#line 22 "/usr/nto/include/dirent.h"

struct dirent {
	ino_t				d_inode;
	unsigned short		d_reclen;
	unsigned short		d_namelen;
	char				d_name[ 48  + 1];
};

enum dirent_extra_type {
	_DTYPE_NONE,
	_DTYPE_STAT,	
	_DTYPE_LSTAT,	
};

struct dirent_extra {
	unsigned short		d_datalen;		/* data size (without header) */ 
	unsigned short		d_type;
	/* unsigned char	d_data[d_datalen] */
};

struct dirent_extra_stat {
	unsigned short		d_datalen;		/* sizeof(struct stat) */ 
	unsigned short		d_type;
	struct stat			d_stat;
};


/*
  The following macros can be used to extract the data.
  e.g. for(extra = _DEXTRA_FIRST(dirent); _DEXTRA_VALID(extra, dirent); extra = _DEXTRA_NEXT(extra)) {
           switch(extra->d_type) {
 */








typedef struct _dir		DIR;

 
#pragma pack(pop);
#line 69 "/usr/nto/include/dirent.h"
/*
   POSIX 1003.1 Prototypes.
 */
#line 75 "/usr/nto/include/dirent.h"
extern DIR      *opendir( const char *__dirname );
extern struct dirent    *readdir( DIR *__dirp );
extern void      rewinddir( DIR *__dirp );
extern int       closedir( DIR *__dirp );
#line 82 "/usr/nto/include/dirent.h"



#line 11 ".././config.c"

#line 1 "/usr/nto/include/time.h"

/*
   time.h      Time functions
 
   Copyright by WATCOM International Corp. 1988-1996.  All rights reserved.
 */



#line 12 "/usr/nto/include/time.h"

 
#pragma pack(push,1);
#line 18 "/usr/nto/include/time.h"

#line 23 "/usr/nto/include/time.h"

#line 27 "/usr/nto/include/time.h"

#line 32 "/usr/nto/include/time.h"



 
 typedef unsigned long  clock_t;




#line 44 "/usr/nto/include/time.h"


#line 50 "/usr/nto/include/time.h"

#line 55 "/usr/nto/include/time.h"



/* 1003.1b Clocks and Timers */


struct timespec {
    time_t  tv_sec;
    long    tv_nsec;
    } ;

struct itimerspec {
    struct timespec it_value,
                    it_interval;
    } ;



/*  Clock types */


/* Timer settime flags */


/* Constants */


extern int clock_gettime(clockid_t clock_id, struct timespec *tp );
extern int clock_settime(clockid_t clock_id, struct timespec *tp );
extern int clock_getres(clockid_t clock_id, struct timespec *res );
extern int clock_setres(clockid_t clock_id, struct timespec *res );

struct sigevent; /* for C++ */ 

extern timer_t timer_create ( clockid_t clock_id, struct sigevent *evp,
                                 timer_t *timerid );
extern int timer_delete ( timer_t timerid );
extern int timer_gettime ( timer_t timerid, struct itimerspec *value );
extern int timer_settime ( timer_t timerid, int flags,
                 struct itimerspec *value, struct itimerspec *ovalue );

extern int nanosleep( const struct timespec *rqtp, struct timespec *rmtp );


struct  tm {
        int  tm_sec;    /* seconds after the minute -- [0,61] */ 
        int  tm_min;    /* minutes after the hour   -- [0,59] */ 
        int  tm_hour;   /* hours after midnight     -- [0,23] */ 
        int  tm_mday;   /* day of the month         -- [1,31] */ 
        int  tm_mon;    /* months since January     -- [0,11] */ 
        int  tm_year;   /* years since 1900                   */ 
        int  tm_wday;   /* days since Sunday        -- [0,6]  */ 
        int  tm_yday;   /* days since January 1     -- [0,365]*/ 
        int  tm_isdst;  /* Daylight Savings Time flag */ 
};

extern char *asctime( const struct tm *__timeptr );
extern clock_t clock( void );
extern char *ctime( const time_t *__timer );
extern double difftime( time_t __t1, time_t __t0 );
extern struct tm *gmtime( const time_t *__timer );
extern struct tm *localtime( const time_t *__timer );
extern time_t mktime( struct tm *__timeptr );
extern size_t strftime( char *__s, size_t __maxsiz, const char *__fmt,
                 const struct tm *__tp );
extern time_t time( time_t *__timer );





/*extensions enabled*/
extern char *_asctime( const struct tm *__timeptr, char *__buf );
extern char *_ctime( const time_t *__timer, char *__buf );
extern struct tm *_gmtime( const time_t *__timer, struct tm *__tmbuf );
extern struct tm *_localtime( const time_t *__timer, struct tm *__tmbuf );



extern void tzset( void );

 extern char    *tzname[2]; /*  time zone names */ 
/*extensions enabled*/
 extern long    timezone;       /* # of seconds from GMT */ 
 extern int     daylight;       /* d.s.t. indicator */ 




 
#pragma pack(pop);
#line 149 "/usr/nto/include/time.h"

#line 153 "/usr/nto/include/time.h"


#line 12 ".././config.c"

#line 1 "/usr/nto/include/signal.h"

/*
   signal.h    Signal definitions
 
   Copyright (C) by WATCOM Systems Inc. 1988-1996.  All rights reserved.
   Copyright (C) by Quantum Software Systems 1990-1996. All rights reserved.
 */



#line 13 "/usr/nto/include/signal.h"

typedef int     sig_atomic_t;



 
#pragma pack(push,1);
#line 23 "/usr/nto/include/signal.h"

typedef struct {
	long bits[2];
	} sigset_t;

union sigval {
    int         sival_int;
    void       *sival_ptr;
	};

enum {
    SIGEV_NONE,
    SIGEV_SIGNAL,
    SIGEV_SIGNAL_CODE,
    SIGEV_SIGNAL_THREAD,
    SIGEV_PULSE,
    SIGEV_UNBLOCK,
    SIGEV_INTR,
	};



struct sigevent {
	int				sigev_notify;
	int				sigev_signo;
	union sigval	sigev_value;
	short			sigev_code;
	short			sigev_priority;
	} ;















/* QNX managers will never use this range */




/*
  SIGILL codes
 */
/* Illegal opcode */


/*
  SIGSEGV codes
 */
/* Address not mapped */
/* No permissions */
/* Stack exception */
/* General protection */


/*
  SIGBUS codes
 */
/* Invalid address */
/* Non-existant physical address */
/* NMI parity error */


/*
  SIGCHILD codes
 */
/* Child has exited */
/* Child was killed */
/* Child terminated abnormally */
/* Traced child has trapped */
/* Child has stopped */
/* Stopped child had continued */


/*
  SIGTRAP codes
 */
/* Break Point */
/* Trace */


/*
  SIGFPE signal codes
 */
/* Integer divide by zero */
/* Integer overflow */
/* Floating point divide by zero */
/* Floating point overflow */
/* Floating point underflow */
/* Floating point inexact result */
/* Invalid floating point operation */
/* Subscript out of range */


typedef struct {
	int			 si_signo;
	int			 si_code;
	union sigval si_value;
	void		 (*handler)();
	sigset_t	 sig_blocked;
	void		*mutex;
	int			 eax;
	int			 eip;
	int			 cs;
	int			 efl;
	} siginfo_t;

struct sigaction {

	union {
		void        (*sa_handler)();
		void		(*sa_sigaction)(int, siginfo_t *, void *);
		} ;
#line 153 "/usr/nto/include/signal.h"
    int         sa_flags;
    sigset_t    sa_mask;
	};

/* _POSIX_SOURCE || _QNX_SOURCE || !NO_EXT_KEYS */







/* hangup */
/* interrupt */
/* quit */
/* illegal instruction (not reset when caught) */
/* trace trap (not reset when caught) */
/* IOT instruction */
/* used by abort */
/* EMT instruction */
/* floating point exception */
/* kill (cannot be caught or ignored) */
/* bus error */
/* segmentation violation */
/* bad argument to system call */
/* write on pipe with no reader */
/* real-time alarm clock */
/* software termination signal from kill */
/* user defined signal 1 */
/* user defined signal 2 */
/* death of child */
/* power-fail restart */
/* window change */
/* urgent condition on I/O channel */
/* System V name for SIGIO */
/* Asynchronus I/O */
/* sendable stop signal not from tty */
/* stop signal from tty */
/* continue a stopped process */
/* attempted background tty read */
/* attempted background tty write */
/* Dev event */

/* cancel a thread */



/* valid user signals range from 1 to NIG-1	*/
/* for kernel use:  NSIG-1 <= MAXSIG */


/*
  The top 8 signals are special. They are always masked. Attempts to unmask
  will be ignored. This makes them handy for doing synchronous I/O via
  sigwaitinfo(). As effecient as a pulse without the need for a channel
  and connection. Select uses this for example.
 */



/* sigprocmask() flags */



/* Neutrino specific */




#line 225 "/usr/nto/include/signal.h"

extern void __signalstub();
extern int raise( int __sig );
extern void (*signal( int __sig, void (*__func)(int) ))(int);

extern int kill( pid_t __pid, int __signum );
extern int sigqueue( pid_t __pid, int __signum, const union sigval __val );
extern int sigaction( int __signo, const struct sigaction *__act, struct sigaction *__oact );
extern int sigaddset( sigset_t *__set, int __signo );
extern int sigdelset( sigset_t *__set, int __signo );
extern int sigemptyset( sigset_t *__set );
extern int sigfillset( sigset_t *__set );
extern int sigismember( sigset_t *__set, int __signo );
extern int sigpending( sigset_t *__set );
extern int sigprocmask( int __how, const sigset_t *__set, sigset_t *__oset );
extern int sigsuspend( const sigset_t *sigmask );
extern int sigwaitinfo( const sigset_t *sigmask, siginfo_t *info );
extern int sigtimedwait(const sigset_t *set, siginfo_t *info, const struct timespec *timeout);
/* _POSIX_SOURCE || _QNX_SOURCE || !NO_EXT_KEYS */

#line 248 "/usr/nto/include/signal.h"

 
#pragma pack(pop);
#line 254 "/usr/nto/include/signal.h"


#line 13 ".././config.c"

#line 1 "/usr/nto/include/sys/stat.h"

/*
   stat.h      File stat structure and definitions
 
   Copyright by QNX Software Systems Limited 1990-1993. All rights reserved.
 */
#line 200 "/usr/nto/include/sys/stat.h"
#line 14 ".././config.c"

#line 1 "/usr/nto/include/sys/types.h"

/*
   sys/types.h Defined system types
 
   Copyright by QNX Software Systems Limited 1990-1993. All rights reserved.
 */
#line 136 "/usr/nto/include/sys/types.h"
#line 15 ".././config.c"


/* Toolkit headers */
#line 1 "/src/photon/include/Ph.h"

/*
 	Ph.h	
 		Catch-all header file for Ph and Pg level functions
 
   Copyright by QNX Software Systems Limited 1990-1994. All rights reserved.
 */




#line 14 "/src/photon/include/Ph.h"

#line 1 "/src/photon/include/photon/PhT.h"

/*
  PhT.h	
 		Regions, events, graphics contexts, etc.
 		This header file contains the majority of the non-Pg Photon
 		manifests and structure definitions
 
   Copyright by QNX Software Systems Limited 1990-1994. All rights reserved.
 */



#line 1 "/usr/nto/include/sys/types.h"

/*
   sys/types.h Defined system types
 
   Copyright by QNX Software Systems Limited 1990-1993. All rights reserved.
 */
#line 136 "/usr/nto/include/sys/types.h"
#line 13 "/src/photon/include/photon/PhT.h"


#line 18 "/src/photon/include/photon/PhT.h"

 #line 1 "/usr/nto/include/sys/sendmx.h"

/*
   sendmx.h
 
   Copyright by QNX Software Systems Limited 1990-1993. All rights reserved.
 */

	
	#line 1 "/usr/nto/include/sys/neutrino.h"

/*
   sys/neutrino.h
 
   Copyright by QNX Software Systems Limited 1995-1996. All rights reserved.
 */



#line 12 "/usr/nto/include/sys/neutrino.h"

#line 16 "/usr/nto/include/sys/neutrino.h"


 #line 1 "/usr/nto/include/sched.h"

/*
   sched.h
 
   Copyright by QNX Software Systems Limited 1990-1993. All rights reserved.
 */



#line 12 "/usr/nto/include/sched.h"

#line 16 "/usr/nto/include/sched.h"

 
#pragma pack(push,1);
#line 22 "/usr/nto/include/sched.h"

#line 26 "/usr/nto/include/sched.h"
















struct sched_param {
    long sched_priority;
    long sched_curpriority;
	long spare[8];
    } ;

/* 1003.4 Draft 9 : These two are so convenient we include them. */
extern int  setprio( pid_t pid, int priority );
extern int  getprio( pid_t pid );
/* 1003.1b */
extern int sched_setparam( pid_t pid, const struct sched_param *parms );
extern int sched_getparam( pid_t pid, struct sched_param *parms );
extern int sched_setscheduler( pid_t pid, int policy, const struct sched_param *parms );
extern int sched_getscheduler( pid_t pid );
extern int sched_yield( void );

extern int sched_rr_get_interval( pid_t pid, struct timespec *t );


extern int sched_get_priority_min( int alg );






extern int sched_get_priority_max( int alg );






#line 78 "/usr/nto/include/sched.h"

 
#pragma pack(pop);
#line 84 "/usr/nto/include/sched.h"

#line 94 "/usr/nto/include/sched.h"


#line 19 "/usr/nto/include/sys/neutrino.h"



#line 24 "/usr/nto/include/sys/neutrino.h"

#line 28 "/usr/nto/include/sys/neutrino.h"


 #line 1 "/usr/nto/include/sys/syspage.h"

/*
   sys/syspage.h
 
   Copyright by QNX Software Systems Limited 1995-1996. All rights reserved.
 */
 



#line 13 "/usr/nto/include/sys/syspage.h"


 #line 1 "/usr/nto/include/sys/cputypes.h"

/*
   sys/cputypes.h
 
   Copyright by QNX Software Systems Limited 1995-1996. All rights reserved.
 */




typedef unsigned long				uint32;
typedef unsigned short				uint16;
typedef unsigned char				uint8;
typedef signed long					int32;
typedef signed short				int16;
typedef signed char					int8;

typedef struct register_entry {
#line 22 "/usr/nto/include/sys/cputypes.h"
	uint32 	edi, esi, ebp, exx, ebx, edx, ecx, eax;
	uint32	eip, cs, efl;
	uint32	esp, ss;
	} REGISTERS;

/*
  Machine flags definitions
 */


/*
  Machine status word flags
 */














/*
  Sement descriptor flags field.
 
   ------------------------
  | P | DPL | C | TYPE | A |
   ------------------------
    7   6 5   4   3 2 1  0
 
  C = 1
  Type consists of three access permission types.
 */









/* Determines meaning of prev 2 bits */













/*
  Sement descriptor limflags field.
 
   -------------------------
  | G | D | 0 | A |   lim   |
   -------------------------
    7   6   5   4   3 2 1 0
 
  D for code is the same bit as B for data
 */






struct seg_descriptor_entry {
	uint16		limit;
	uint16		base_lo;
	uint8		base_hi;			/* bits 16 to 23 */ 
	uint8		flags;
	uint8		limflags;			/* limit 16 to 19 and extra flags */ 
	uint8		base_xhi;			/* bits 24 to 31 */ 
	} ;




/*
  System descriptor flags field.
 
   ----------------------
  | P | DPL | C |  TYPE  |
   ----------------------
    7   6 5   4   3 2 1 0
 
   C = 0
   Type indicates one of 8 descriptor types.
 	We list only LDT & TSS below (this was wrong in 286 intel manual).
 */








/*
  Gate descriptor flags field
 
   ------------------------
  | P | DPL | C | TYPE | x |
   ------------------------
    7   6 5   4   3 2 1  0
 
   C = 0
   Type indicates one of 8 descriptor types
 */









struct gate_descriptor_entry {
	uint16		offset_lo;
	uint16		selector;
	uint8		intel_reserved;			/* always zero */ 
	uint8		flags;
	uint16		offset_hi;
	} ;


/*
  Selector definition
 
   ------------------------
  |     index    | T | RPL |
   ------------------------
   15           3  2   1 0
 */









typedef struct tss_entry {
	unsigned	back_link,
				esp0,
				ss0,
				esp1,
				ss1,
				esp2,
				ss2,
				pdbr,
				eip,
				eflags,
				eax,
				ecx,
				edx,
				ebx,
				*esp,
				ebp,
				esi,
				edi,
				es,
				cs,
				ss,
				ds,
				fs,
				gs,
				ldt;
				// I/O map would start here if we had one! 
	} TSS;
	
/*
  Page table entry bits
 */









struct _byte {
	uint8 lob;
	uint8 hib;
	} ;

struct _short {
	uint16 low;
	uint16 hiw;
	} ;






/* __CPUTYPES_H_INCLUDED */
#line 16 "/usr/nto/include/sys/syspage.h"





#line 23 "/usr/nto/include/sys/syspage.h"

#line 27 "/usr/nto/include/sys/syspage.h"

/*
 	PC system page definitions
 */
 
/*
 	CPU capability/state flags
 */
/* CPU supports cpuid instruction */
/* CPU supports rdtsc instruction */
/* CPU has floating point support */
/* CPU is in physical memory mode */
/* CPU has INVLPG instruction */
/* CPU has WP bit in CR0 */
/* CPU has BSWAP instruction */

/*
 	Support hardware flags
 */
/* Mask A20 gating type */
/* No A20 gate */
/* PS/2 fast A20 gate */
/* Standard AT kbd ctrl A20 gate */
/* IBM 7552 A20 gate */
/* Watchdog timer type */
/* No watchdog */
/* PS/2 watchdog */
/* 386ex watchdog */
/* Machine has ISA bus */
/* Machine has EISA bus */
/* Machine has PCI bus */
/* Machine has micro channel bus */

/*
   Console monitor type definitions.
 */
enum {
	MONITOR_NONE,
	MONITOR_MONO,
	MONITOR_CGA,
	MONITOR_EGA_COLOR,
	MONITOR_EGA_MONO,
	MONITOR_PGS,
	MONITOR_VGA_MONO,
	MONITOR_VGA_COLOR,
	MONITOR_PS30_MONO,
	MONITOR_PS30_COLOR
};

/*
 	Socket Services entry type definitions.
 */
enum {
	SS_ENTRY_16BIT,
	SS_ENTRY_32BIT
};

struct	boxinfo_entry {
	unsigned long	cpu,						/* cpu type 386/486/586... */ 
					cpu_speed,					/* synthetic cpu speed index */ 
					cpu_flags,					/* CPU_ */ 
					fpu,						/* fpu type 287/387/487/587... */ 
					hw_flags;					/* HW_ */ 
	char			cpu_id [32];
	paddr_t			real_addr;					/* virtual address of real mode 0-1M area */ 
	unsigned long	spare [1];
};

struct displayinfo_entry {
	unsigned char	primary_monitor,			/* MONITOR_ */ 
					secondary_monitor;			/* MONITOR_ */ 
	short			zero [3];
	paddr_t			cg_table [10];
	unsigned long	spare [10];
};

struct ssinfo_entry {
	unsigned long	type;						/* SS_ENTRY_ */ 
	paddr_t			code_base,
					code_limit,
					entry_point,
					data_base,
					data_limit,
					data_offset;
	unsigned long	spare[10];
};

struct apminfo_entry {
	unsigned short	version,
					flags,
					cs_16,
					cs_32,
					ds,
					cs_size,
					ds_size,
					mode;
	paddr_t			entry;
	unsigned long	spare[10];
};

struct pciinfo_entry {
	paddr_t			spare[10];
};

/*
   Architecture independent system page definitions
 */

/*
 	System page types
 */
enum {
	SYSPAGE_PC
};

struct osinfo_entry {
	char						nodename[32];
	unsigned long				nodenum;
	unsigned long				spare[10];
};

struct bootinfo_entry {
	  struct syspage_entry * 		kern_sys_ptr;			/* pointer to system page (sys r/w) */ 
	  struct syspage_entry * 		user_sys_ptr;			/* pointer to system page (r/o) */ 
	paddr_t							sys_size;				/* size of system page */ 
	paddr_t							image_addr;				/* physical address of boot image */ 
	paddr_t							image_size;				/* size of boot image */ 
	paddr_t							dir_addr;				/* physical address of image directory */ 
	paddr_t							args_addr;				/* physical address of my args entry */ 
	paddr_t							stack_addr;				/* physical address of stack */ 
	paddr_t							stack_size;				/* size of stack */ 
	paddr_t							user_addr;				/* virtual address of user space */ 
	paddr_t							user_size;				/* size of user space */ 
	paddr_t							kern_addr;				/* virtual address of kernel space */ 
	paddr_t							kern_size;				/* size of kernel space */ 
	paddr_t							kstack_addr;			/* virtual address of bottom of kernel stack */ 
	unsigned long					boot_time;				/* UTC seconds when machine booted */ 
	paddr_t							mmgr_addr;				/* virtual address of memory manager space */ 
	paddr_t							mmgr_size;				/* size of memory manager space */ 
	paddr_t							user_addr_end;			/* last byte of user space used by modules in image */ 
	paddr_t							user_align;				/* alignment of processes in user space */ 
};

struct raminfo_entry {
	paddr_t			addr;
	paddr_t			size;
};

struct _clockadjust {
	unsigned long				tick_count;
	long						tick_nsec_inc;
	} ;

struct qtime_entry {
	unsigned long				sec;
	unsigned long				nsec;
	unsigned long				nsec_inc;
	unsigned long				cycles_per_sec;
	struct _clockadjust			adjust;
	unsigned long				clk8254;					/* 8254 clk period in femto seconds */ 
	unsigned long				spare[9];
};

struct syspage_entry {
	  struct _thread_local_storage * 	tlsptr;
	long								type;				/* SYSPAGE_ */ 
	  struct osinfo_entry * 			osinfoptr;
	  struct bootinfo_entry * 			bootinfoptr;
	  struct raminfo_entry * 			raminfoptr;
	  struct qtime_entry * 			qtimeptr;
	long								spare[8];
	union {
		struct pcptr_entry {
			  struct boxinfo_entry * 			boxinfoptr;
			  struct seg_descriptor_entry * 	gdtptr;
			  struct gate_descriptor_entry * 	idtptr;
			  struct displayinfo_entry * 		displayinfoptr;
			  struct ssinfo_entry * 			ssinfoptr;
			  struct apminfo_entry * 			apminfoptr;
			  struct pciinfo_entry * 			pciinfoptr;
		} pc;
		struct {
			long								filler[20];
		} filler;
	} p_un;
	long								kercall[2];
	struct bootinfo_entry				bootinfo;
	struct osinfo_entry					osinfo;
	struct qtime_entry					qtime;
	union {
		struct pcstruct_entry {
			struct seg_descriptor_entry 		gdt[32];
			struct gate_descriptor_entry 		idt[256];
			struct boxinfo_entry				boxinfo;
			struct displayinfo_entry			displayinfo;
			struct ssinfo_entry					ssinfo;
			struct apminfo_entry				apminfo;
			struct pciinfo_entry				pciinfo;
		} pc;
	} s_un;
};

extern volatile struct syspage_entry *_syspage_ptr;



#line 236 "/usr/nto/include/sys/syspage.h"



/* __SYSPAGE_H_INCLUDED */
#line 31 "/usr/nto/include/sys/neutrino.h"



 
#pragma pack(push,1);
#line 38 "/usr/nto/include/sys/neutrino.h"

#line 42 "/usr/nto/include/sys/neutrino.h"

/*
  Define the states of a thread
  THREAD.state
 */
enum _THREAD_STATE {
	STATE_DEAD,
	STATE_READY,
	STATE_STOPPED,
	STATE_SEND	,
	STATE_RECEIVE,
	STATE_REPLY,
	STATE_WAIT,
	STATE_SIGSUSPEND,
	STATE_SIGWAITINFO,
	STATE_NANOSLEEP,
	STATE_MUTEX,
	STATE_CONDVAR,
	STATE_JOIN,
	STATE_INTR,
	STATE_WAITPAGE,
	STATE_SEM,
	STATE_MAX = 24
	} ;
















struct _msg_info {							// _msg_info	_server_info 
	nid_t						nid;		//	client		server 
	pid_t						pid;		//	client		server 
	int							chid;		//	server		server 
	int							scoid;		//	server		server 
	int							coid;		//	client		client 
	int							len;		//	msg			n/a 
	int							tid;		//	thread		n/a 
	int							priority;	//	thread		n/a 
	int							flags;		//	n/a			client 
	} ;


struct _client_info {
	uid_t						ruid;
	uid_t						euid;
	uid_t						suid;
	gid_t						rgid;
	gid_t						egid;
	gid_t						sgid;
	gid_t						grouplist[ 8 ];
	} ;

struct _snd_info {
	int							vtid;
	int							rtid;
	int							flags;
	int							rcvid;
	int							len;
	int							offset;
	} ;

/*
  Definitions for type and subtype of any pulse.
  We keep the codes away from the defined SI_ signal codes to prevent
  confusion.
 */


/* value - rcvid */
/* value - server connection */
/* value - thread id */

/* QNX managers will never use this range */




struct _pulse {
	unsigned short				type;
	unsigned short				subtype;
	signed char					code;
	char						zero[3];
	union sigval				value;
	int							scoid;
	} ;

/*
  Structure and pragma to implement the rdtsc pentium opcode
 */
struct _clockcycles { long lo, hi; } ;

void ClockCycles(struct _clockcycles *cycles);
#pragma aux ClockCycles = \
	"db 0fh,31h" \
	"mov 0[ebx],eax" \
	"mov 4[ebx],edx" \
	parm nomemory [ebx] modify exact nomemory [eax edx];


/*
 Define interrupt flags.
*/


/*
 Define flags which can be applied to a pulse type.
*/



/*
 Define the flags of a process
 PROCESS.flags
*/











/*
 Define the flags of a thread
 THREAD.flags
*/


















/*
  Define thread privity flags
 */


/*
 Define channel flags
*/



//#define _NTO_CHF_SIGPULSE		0x0008 




/*
 Define connect flags
*/




/* If the 2nd from top bit is set then we don't use the fd connection vector. */



/*
 Define flags of a timeout
 The first n bits are reserved for (1L << thp->state)
*/



/*
 Define special interrupt values for Interrupt_attach
*/
/* 0...15 standard interrupts */











/*
 Define flags for MsgReadiov
*/




/*
 Thread local storage. This data is at the top of each threads stack.
*/
struct _thread_local_storage {
	void						(*exitfunc)(void *);
	void						*arg;
	int							*errptr;
	int							errval;		/* Not used for main() thread. */ 
	int							flags;
	int							pid;
	int							tid;
	void						*stackaddr;
	int							numkeys;
	void						**keydata;	/* Indexed by pthread_key_t */ 
	void						*cleanup;
	unsigned					owner;
	void						*reserved;
	} ;
	
/*
 Used to define thread creation attributes.
 */
struct _thread_attr {
	int							flags;
	size_t						stacksize;
	void						*stackaddr;
	void						(*exitfunc)(void *status);
	int							policy;
	struct sched_param			param;
	int							spare[4];
	} ;
	
/*
 Used by ker_credential.
*/
struct uidgid_entry {
	uid_t						ruid;
	uid_t						euid;
	uid_t						suid;
	gid_t						egid;
	gid_t						sgid;
	gid_t						rgid[9];
	} ;

struct _clockperiod {
	unsigned long				nsec;
	long						fract;
	} ;


// Synchronization manifests and structures. 



// 
// owner 
//  -1       Static initalized mutex which is auto created on SyncWait 
//  -2       Destroyed mutex 
//  -3       Named semaphore (the count is used as an fd) 
// 
typedef struct _sync {
	int		count;		/* Count for recursive mutexs and semaphores */ 
	int		owner;		/* Thread id (valid for mutex only) */ 
	} sync_t;

typedef struct _sync_attr {
	int		protocol;
	int		flags;
	int		prioceiling;	/* Not implemented */ 
	} sync_attr_t;

struct _sync_info {
	pid_t	pid;
	int		tid;
	int		count;
	};

/*
  Function prototypes for all kernel calls.
 */
int  __cdecl  ChannelCreate(unsigned flags);
int  __cdecl  ChannelDestroy(int chid);

int  __cdecl  ConnectAttach(nid_t nid, pid_t pid, int chid, unsigned index, int flags);
int  __cdecl  ConnectDetach(int coid);
int  __cdecl  ConnectServerInfo(pid_t pid, int coid, struct  _msg_info  *info);
int  __cdecl  ConnectClientInfo(int scoid, struct _client_info *info);

int  __cdecl  MsgSendv(int coid, const struct iovec *smsg, int sparts, struct iovec *rmsg, int rparts);
int  __cdecl  MsgSendvnc(int coid, const struct iovec *smsg, int sparts, struct iovec *rmsg, int rparts);
int  __cdecl  MsgSendNetv(int coid, const struct iovec *smsg, int sparts, struct iovec *rmsg, int rparts, struct _snd_info *info);
int  __cdecl  MsgSendv_r(int coid, const struct iovec *smsg, int sparts, struct iovec *rmsg, int rparts);
int  __cdecl  MsgSendvnc_r(int coid, const struct iovec *smsg, int sparts, struct iovec *rmsg, int rparts);
int  __cdecl  MsgReceivev(int chid, struct iovec *rmsg, int rparts, struct _msg_info *info);
int  __cdecl  MsgReplyv(int rcvid, const struct iovec *smsg, int sparts);
int  __cdecl  MsgReadiov(int rcvid, struct iovec *iov, int parts, int offset, int flags);
int  __cdecl  MsgReadv(int rcvid, struct iovec *rmsg, int rparts, int offset);
int  __cdecl  MsgWritev(int rcvid, const struct iovec *smsg, int sparts, int offset);
int  __cdecl  MsgSendPulse(int coid, int priority, int code, int value);
int  __cdecl  MsgSendPulse_r(int coid, int priority, int code, int value);
int  __cdecl  MsgDeliverEvent(int rcvid, struct sigevent event);
int  __cdecl  MsgDeliverEvent_r(int rcvid, struct sigevent event);
int  __cdecl  MsgInfo(int rcvid, struct _msg_info *info);
int  __cdecl  MsgInfo_r(int rcvid, struct _msg_info *info);
int  __cdecl  MsgKeyData(int rcvid, int op, int key, int *newkey, const struct iovec *msg, int parts);
int  __cdecl  MsgKeyData_r(int rcvid, int op, int key, int *newkey, const struct iovec *msg, int parts);

int  __cdecl  SignalKill(pid_t pid, int tid, int signo, int code, int value);
int  __cdecl  SignalKill_r(pid_t pid, int tid, int signo, int code, int value);
int  __cdecl  SignalReturn(void);
int  __cdecl  SignalAction(pid_t pid, const void (*sigstub)(), int signo, const struct sigaction *act, struct sigaction *oact);
int  __cdecl  SignalAction_r(pid_t pid, const void (*sigstub)(), int signo, const struct sigaction *act, struct sigaction *oact);
int  __cdecl  SignalProcmask(pid_t pid, int tid, int how, const sigset_t *set, sigset_t *oldset);
int  __cdecl  SignalProcmask_r(pid_t pid, int tid, int how, const sigset_t *set, sigset_t *oldset);
int  __cdecl  SignalSuspend(const sigset_t *set);
int  __cdecl  SignalSuspend_r(const sigset_t *set);
int  __cdecl  SignalWaitinfo(const sigset_t *set, siginfo_t *info);
int  __cdecl  SignalWaitinfo_r(const sigset_t *set, siginfo_t *info);

int  __cdecl  ThreadCreate(pid_t pid, void (*func)(void *arg), void *arg, struct _thread_attr *attr);
int  __cdecl  ThreadCreate_r(pid_t pid, void (*func)(void *arg), void *arg, struct _thread_attr *attr);
int  __cdecl  ThreadDestroy(int tid, int priority, void *status);
int  __cdecl  ThreadDestroy_r(int tid, int priority, void *status);
int  __cdecl  ThreadDetach(int tid);
int  __cdecl  ThreadDetach_r(int tid);
int  __cdecl  ThreadJoin(int tid, void **status);
int  __cdecl  ThreadJoin_r(int tid, void **status);
int  __cdecl  ThreadCancel(int tid, void (*canstub)(void));
int  __cdecl  ThreadCancel_r(int tid, void (*canstub)(void));
int  __cdecl  ThreadPriv(int flags, int *oflags);
int  __cdecl  ThreadPriv_r(int flags, int *oflags);

int  __cdecl  InterruptAttach(int intr, struct sigevent *(*handler)(void *area), void *area, int size, unsigned flags);
int  __cdecl  InterruptAttach_r(int intr, struct sigevent *(*handler)(void *area), void *area, int size, unsigned flags);
int  __cdecl  InterruptDetach(int intr, const struct sigevent *(*handler)(void *));
int  __cdecl  InterruptDetach_r(int intr, const struct sigevent *(*handler)(void *));
int  __cdecl  InterruptWait(int flags, const struct timespec *timeout);
int  __cdecl  InterruptWait_r(int flags, const struct timespec *timeout);

int  __cdecl  SchedGet(pid_t pid, int tid, struct sched_param *param);
int  __cdecl  SchedGet_r(pid_t pid, int tid, struct sched_param *param);
int  __cdecl  SchedSet(pid_t pid, int tid, int algorithm, struct sched_param *param);
int  __cdecl  SchedSet_r(pid_t pid, int tid, int algorithm, struct sched_param *param);
int  __cdecl  SchedYield(void);
int  __cdecl  SchedYield_r(void);

int  __cdecl  TimerCreate(clockid_t id, const struct sigevent *notify);
int  __cdecl  TimerCreate_r(clockid_t id, const struct sigevent *notify);
int  __cdecl  TimerDestroy(timer_t id);
int  __cdecl  TimerDestroy_r(timer_t id);
int  __cdecl  TimerGettime(timer_t id, struct itimerspec *itime);
int  __cdecl  TimerGettime_r(timer_t id, struct itimerspec *itime);
int  __cdecl  TimerSettime(timer_t id, int flags, const struct itimerspec *itime, struct itimerspec *oitime);
int  __cdecl  TimerSettime_r(timer_t id, int flags, const struct itimerspec *itime, struct itimerspec *oitime);
int  __cdecl  TimerGetoverrun(timer_t id);
int  __cdecl  TimerGetoverrun_r(timer_t id);
int  __cdecl  TimerAlarm(time_t sec);
int  __cdecl  TimerAlarm_r(time_t sec);
int  __cdecl  TimerTimeout(int flags, const struct sigevent *notify, const struct timespec *ntime,
							struct timespec *otime);
int  __cdecl  TimerTimeout_r(int flags, const struct sigevent *notify, const struct timespec *ntime,
							struct timespec *otime);

int  __cdecl  SyncCreate(sync_t *sync, struct _sync_attr *attr);
int  __cdecl  SyncCreate_r(sync_t *sync, struct _sync_attr *attr);
int  __cdecl  SyncDestroy(sync_t *sync);
int  __cdecl  SyncDestroy_r(sync_t *sync);
int  __cdecl  SyncMutexLock(sync_t *sync);
int  __cdecl  SyncMutexLock_r(sync_t *sync);
int  __cdecl  SyncMutexUnlock(sync_t *sync);
int  __cdecl  SyncMutexUnlock_r(sync_t *sync);
int  __cdecl  SyncCondvarWait(sync_t *sync, sync_t *mutex);
int  __cdecl  SyncCondvarWait_r(sync_t *sync, sync_t *mutex);
int  __cdecl  SyncCondvarSignal(sync_t *sync, int all);
int  __cdecl  SyncCondvarSignal_r(sync_t *sync, int all);
int  __cdecl  SyncSemPost(sync_t *sync);
int  __cdecl  SyncSemPost_r(sync_t *sync);
int  __cdecl  SyncSemWait(sync_t *sync, int try);
int  __cdecl  SyncSemWait_r(sync_t *sync, int try);

int  __cdecl  __Ring0(int (*func)(), ...);

int  __cdecl  ClockTime(clockid_t id, const struct timespec *new, struct timespec *old);
int  __cdecl  ClockTime_r(clockid_t id, const struct timespec *new, struct timespec *old);
int  __cdecl  ClockAdjust(clockid_t id, const struct _clockadjust *new, struct _clockadjust *old);
int  __cdecl  ClockAdjust_r(clockid_t id, const struct _clockadjust *new, struct _clockadjust *old);
int  __cdecl  ClockPeriod(clockid_t id, const struct _clockperiod *new, struct _clockperiod *old, int external);
int  __cdecl  ClockPeriod_r(clockid_t id, const struct _clockperiod *new, struct _clockperiod *old, int external);

/*
  Kernel call pragma's and codes.
 */


extern int __ker_err(int);
extern int __KER_ENTRY(int);
#pragma aux __KER_ENTRY = "clc" 0xcd  0xf8  "ret" "call __ker_err" parm [eax] value [eax];
extern int __KER_ENTRY_R(int);
#pragma aux __KER_ENTRY_R = "clc" 0xcd  0xf8  "ret" parm [eax] value [eax];
extern int __KER_ENTRY_NR(int);
#pragma aux __KER_ENTRY_NR = "clc" 0xcd  0xf8  "ret" "neg eax" parm [eax] value [eax];

enum {
	__KER_MSG_SENDV,
	__KER_MSG_SENDVNC,
	__KER_MSG_SENDNETV,
	__KER_MSG_RECEIVEV,
	__KER_MSG_REPLYV,
	__KER_MSG_READV,
	__KER_MSG_WRITEV,
	__KER_MSG_INFO,
	__KER_MSG_SEND_PULSE,
	__KER_MSG_DELIVER_EVENT,
	__KER_MSG_KEYDATA,
	__KER_MSG_READIOV,

	__KER_SIGNAL_KILL,
	__KER_SIGNAL_RETURN,
	__KER_SIGNAL_ACTION,
	__KER_SIGNAL_PROCMASK,
	__KER_SIGNAL_SUSPEND,
	__KER_SIGNAL_WAITINFO,

	__KER_CHANNEL_CREATE,
	__KER_CHANNEL_DESTROY,

	__KER_CONNECT_ATTACH,
	__KER_CONNECT_DETACH,
	__KER_CONNECT_SERVER_INFO,
	__KER_CONNECT_CLIENT_INFO,
	__KER_RESERVED,

	__KER_THREAD_CREATE,
	__KER_THREAD_DESTROY,
	__KER_THREAD_DESTROYALL,
	__KER_THREAD_DETACH,
	__KER_THREAD_JOIN,
	__KER_THREAD_CANCEL,
	__KER_THREAD_PRIV,

	__KER_INTERRUPT_ATTACH,
	__KER_INTERRUPT_DETACH,
	__KER_INTERRUPT_WAIT,

	__KER_CLOCK_TIME,
	__KER_CLOCK_ADJUST,
	__KER_CLOCK_PERIOD,

	__KER_TIMER_CREATE,
	__KER_TIMER_DESTROY,
	__KER_TIMER_GETTIME,
	__KER_TIMER_SETTIME,
	__KER_TIMER_GETOVERRUN,
	__KER_TIMER_ALARM,
	__KER_TIMER_TIMEOUT,

	__KER_SYNC_CREATE,
	__KER_SYNC_DESTROY,
	__KER_SYNC_MUTEX_LOCK,
	__KER_SYNC_MUTEX_UNLOCK,
	__KER_SYNC_CONDVAR_WAIT,
	__KER_SYNC_CONDVAR_SIGNAL,
	__KER_SYNC_SEM_POST,
	__KER_SYNC_SEM_WAIT,

	__KER_SCHED_GET,
	__KER_SCHED_SET,
	__KER_SCHED_YIELD,

	__KER_RING0,
	__KER_BAD
	} ;


/*
  Kernel call pragma's which avoid the main kernel call entry point.
  They are fast and can be called from within an interrupt handler.
  Unlike the main kernel call entry they each get their own vector.
 */







extern int ClockTick(void);
#pragma aux ClockTick        = 0xcd  0xf9  value [eax];

extern int InterruptDisable(void);
#pragma aux InterruptDisable = 0xcd  0xfa  value [eax];

extern int InterruptEnable(void);
#pragma aux InterruptEnable  = 0xcd  0xfb  value [eax];

extern int InterruptMask(int intr);
#pragma aux InterruptMask    = 0xcd  0xfc  parm [eax] value [eax];

extern int InterruptUnmask(int intr);
#pragma aux InterruptUnmask  = 0xcd  0xfd  parm [eax] value [eax];

extern int _Trace(int code, ...);
#pragma aux _Trace           = 0xcd  0xfe  parm [eax] value [eax];

#line 563 "/usr/nto/include/sys/neutrino.h"

 
#pragma pack(pop);
#line 569 "/usr/nto/include/sys/neutrino.h"


#line 9 "/usr/nto/include/sys/sendmx.h"

	

	/* may be expanded */
	/* typedef struct iovec IOV; */

	
	

	

	




#line 20 "/src/photon/include/photon/PhT.h"





#line 27 "/src/photon/include/photon/PhT.h"


#line 32 "/src/photon/include/photon/PhT.h"

/*
 
  Manifests for use in PhEvent_t
 
 */


/*
  Event type bit definitions
 */


















/* Some useful combinations of event bits */










/*
  Event subtypes
 */

/* of Ph_EV_BOUNDARY: */





/* of Ph_EV_RAW */




/* of Ph_EV_BUT_RELEASE */




/* of Ph_EV_DRAG */             








/* of Ph_EV_EXPOSE: */					




/* of Ph_EV_DRAW: */



/* of Ph_EV_MOTION_BUTTON and Ph_EV_MOTION_NOBUTTON */



/* of Ph_EV_KEY */


/* of Ph_EV_WM */
/* see PhWM.h */

/* of Ph_EV_AMIN */



/*
  Event flags
 */






// Reserved by server

/*
 
  Manifests for use in PhRegion_t 
 
 */

/*
  Region flags
 */

















/* 
 	Region state 
 */


/*
  Query Rids flags
 */
// Use input_groups pointer point as rect


/*
  Query visible flags
 */
// Return a graphics driver rectangle
// Return a input group rectangle
// Must match input group and rid, otherwise it is a hint
// Use point of current location of input_group's pointer
// Use input_group's rect

/* 
  RID's of the system regions
 */



/* 
  Bits used to define valid fields in a region change or open
 */















/* Only valid during a RegionChange */



/* Region data types */






/* Region data contained types */
// Ph_RDATA_CURSOR 




/* Info defines */








/*
 
  Structure and type definitions
 
 */

/*
  Miscellaneous useful types
 */


typedef unsigned long PgColor_t;

typedef long PhRid_t;
typedef struct Ph_point { short x, y; } PhPoint_t;
typedef struct Ph_dim { unsigned short w, h; } PhDim_t;
typedef struct Ph_lpoint { long x, y; } PhLpoint_t;
typedef struct Ph_rgb { unsigned short r, g, b; } PhRgb_t;
typedef struct Ph_prect { PhPoint_t ul, lr; } PhPrect_t;		

typedef struct Ph_rect { PhPoint_t ul, lr; } PhRect_t;
typedef struct Ph_area { PhPoint_t pos; PhDim_t size; } PhArea_t;
typedef struct Ph_extent { PhRect_t rect; ushort_t valid; } PhExtent_t;
#line 259 "/src/photon/include/photon/PhT.h"

typedef struct Ph_tile { PhRect_t rect; struct Ph_tile *next; } PhTile_t;

typedef struct PhImage
{
	int			type;			/* image type ( milti, pseudo, direct ) */ 
								/* bitmap type (backfilled, transparent fill)*/
	ulong_t		image_tag;		/* image data tag */ 
	int			bpl;			/* image bytes per line */ 
	PhDim_t		size;			/* image size */ 
	ulong_t		palette_tag;	/* palette data tag */ 
	int			colors;			/* number of colors in image */ 
	int			xscale;			/* x scale factor for image */ 
	int			yscale;			/* y scale factor for image */ 
	char		format;			/* graphic format */ 
	char		flags;			/* image flags */ 
	char		spare1[2];		/* reserved */ 
	int			spare2[3];		/* reserved */ 
	PgColor_t	*palette;		/* image palette */ 
	char		*image;			/* image bitmap data */ 	
} PhImage_t;

/*
  The region structure
 */
typedef struct Ph_region {
	PhRid_t				rid;
	long				handle;
	mpid_t				owner;
	ulong_t				flags;
	ushort_t			state;
	unsigned long		events_sense;
	unsigned long		events_opaque;
	PhPoint_t			origin;
	PhRid_t				parent,
						child,
						bro_in_front,
						bro_behind;
	PgColor_t			cursor_color;
	ushort_t			input_group;
	ushort_t			data_len;
	unsigned long		zero[2];
	ushort_t			cursor_type;
} PhRegion_t;

typedef struct Ph_region_data_hdr {
	unsigned short		len;
	unsigned short		type;
} PhRegionDataHdr_t;

//  
/*
  The structure of an event
 */
 
/* Region id/handle combo */
typedef struct Ph_event_region {
	PhRid_t			rid;
	long			handle;
} PhEventRegion_t;

/* The header for PhEvent_t */
typedef struct Ph_event_hdr {
	unsigned long 		type;		
	unsigned short 		subtype;	
	char				reserved;
	char				processing_flags;
	PhEventRegion_t		emitter;
	PhEventRegion_t		collector;
	unsigned short		input_group;
	unsigned short 		flags;		
	unsigned long		timestamp;
	PhPoint_t			translation;
// 32 bytes 
} PhEventHdr_t;

/* Event Processing flags */




/* THE event structure */
typedef struct Ph_event {
	unsigned long 		type;		
	unsigned short 		subtype;	
	char				reserved; 
	char				processing_flags;
	PhEventRegion_t		emitter;
	PhEventRegion_t		collector;
	unsigned short		input_group;
	unsigned short 		flags;	
	unsigned long		timestamp;
	PhPoint_t			translation;
	unsigned short 		num_rects;	
	unsigned short 		data_len;	
// 36 bytes 
} PhEvent_t;

/*
  Ph_EV_DRAW
 */
typedef struct Ph_ev_draw_data {
	unsigned short	cmd_buffer_size; /* bytes */ 
	unsigned short	context_size; /* bytes */ 
	unsigned long	id;
} PhDrawEvent_t;

/*
  Ph_EV_RAW subtype Ph_EV_RAW_PTR
 */







// Buttons are not valid
// XY coords are relitave (not absolute) 

typedef struct Ph_ev_raw_ptr_coord {
	short				x;
	short				y;
	short				z;
	unsigned short		dmsec;
} PhRawPtrCoord_t;

typedef struct Ph_ev_raw_ptr_data {
	unsigned long		msec;
	unsigned short		button_state;
	unsigned char		flags;
	unsigned char		raw_flags;
	unsigned short		num_coord;
	unsigned short		zero;			// reserved for future 
	PhRawPtrCoord_t		coord[1];
} PhRawPtrEvent_t;

#line 403 "/src/photon/include/photon/PhT.h"

/*
  Ph_EV_PTR_ALL
 */
typedef struct Ph_ev_ptr_data {
	PhPoint_t			pos;			// Always mouse position 
	unsigned short		buttons;		// The button that was pressed/released 
	unsigned short		button_state;	// same as in PhRawPtrEvent_t 
	unsigned char		click_count;
	unsigned char		flags;			// same as in PhRawPtrEvent_t 
	short				z;
	unsigned long		key_mods;		// same as in PhKeyEvent_t 
	unsigned long		zero;			// reserved; 
} PhPointerEvent_t;

/* Mouse buttons */




/* left button default */
/* right button default */
/* middle button */


/*
  Ph_EV_DRAG
 */
typedef struct Ph_ev_drag_data {
	PhRect_t			rect;
	PhRid_t				rid;
	PhRect_t			boundary;
	PhDim_t				 min ;
	PhDim_t				 max ;
	PhDim_t				step;
	long				zero[4];
	ushort_t			flags;
} PhDragEvent_t;

/* drag event flags */





// Emit Drag events to track drag, and don't draw an outline
// Emit Ph_KEY and Ph_MOTION_* events while draging (with DRAG subtype)
// Drag will start even if no buttons are held down





/*
  Ph_EV_BLIT
 */
typedef struct Ph_ev_blit_data {
	PhRid_t				rid;
	PhRect_t			rect;
	PhPoint_t			offset;
	unsigned long		plane_mask;
} PhBlitEvent_t;

/*
  Ph_EV_BOUNDARY
 */
typedef struct Ph_ev_boundary_data {
	PhEventRegion_t			entered;
	PhEventRegion_t			left;
} PhBoundaryEvent_t;

/*
  Ph_EV_KEY
 */
typedef struct Ph_ev_raw_key_data {
	unsigned long			key_mods;		// same as in PhPointerEvent_t 
	unsigned long			key_flags;
	unsigned long			key_cap;
	unsigned long			key_sym;
	unsigned long			key_zero;		// reserved for future 
} PhRawKeyEvent_t;

/*
  Ph_EV_KEY
 */
typedef struct Ph_ev_key_data {
	unsigned long			key_mods;		// same as in PhPointerEvent_t 
	unsigned long			key_flags;
	unsigned long			key_cap;
	unsigned long			key_sym;
	unsigned long			key_zero;		// reserved for future 
	PhPoint_t				pos;			// Always mouse position 
	unsigned short			button_state;	// same as in PhRawPtrEvent_t 
} PhKeyEvent_t;

/*
  Ph_EV_TIMER
 */
typedef struct Ph_ev_timer_data {
	unsigned				msec;
	unsigned				zero;
	PhEventRegion_t			region;
} PhTimerEvent_t;

/*
   Display info (used with PhQuerySystemInfo() )
 */
typedef struct Ph_sys_info
{
	ulong_t bandwidth;
	ulong_t graphic_info[4];
} PhSysInfo_t;





/*
 
  Data maintained by the Photon client
 
 */

/* Limits */



/*
  Parameters to the Photon channel 
 */

/* channel parms flags */







typedef struct Ph_channel_parms {
	mpid_t			proxy;
	unsigned long	max_q_entries;
	unsigned long	flags;
} PhChannelParms_t;

/*
  Region Data
 */
#line 1 "/src/photon/include/photon/Pg.h"

/*
 	Pg.h	
 		Manifests and data structures for the Pg-lib
 
   Copyright by QNX Software Systems Limited 1990-1994. All rights reserved.
 */



#line 14 "/src/photon/include/photon/Pg.h"

#line 18 "/src/photon/include/photon/Pg.h"


#line 1 "/src/photon/include/photon/PgVector.h"


/*
 	PgVector.h	
 		Manifests and data structures for the Pgv-lib
 
   Copyright by QNX Software Systems Limited 1990-1994. All rights reserved.
 */



#line 15 "/src/photon/include/photon/PgVector.h"

#line 19 "/src/photon/include/photon/PgVector.h"

#line 23 "/src/photon/include/photon/PgVector.h"

#pragma pack(1)



















#line 51 "/src/photon/include/photon/PgVector.h"











typedef struct {
	unsigned		Flags;
	PhPoint_t		Trans;
	short			DRecNum;
	u_char			DRecSize;
	u_char			DRecOffX;
	u_char			DRecOffY;
	u_char			DRecOffColor;
	u_char			DRecSpare[2];
	long			Delta;
	PhLpoint_t		TTrans;
	long			TMat[3][3];
} PgVectorCtrlStruct;

int PgDrawVectormx( void *dptr, PgVectorCtrlStruct *VPtr );

#pragma pack()

#line 83 "/src/photon/include/photon/PgVector.h"

/* __PH_GLIB_VECTOR_H_ */
#line 21 "/src/photon/include/photon/Pg.h"



#pragma pack(1)










/* Trend flags	*/
/* Horizontal trend				*/
/* Vertical trend				*/

/* PgDrawBeveled flags */















/*
  Mode for draw operations, all drivers 
 	Pg_SetDrawMode
 */





/*
  Palette Modes - PgSetPalette
 */









/*
  Bitmap array types
 	PgDrawBitmap
 */
/* Bitmap transparent backfill */
/* Bitmap backfill */

/*
  Image array types
 	PgDrawImage
 */
/* IIIIIIII */

/* IIIIiiii (I first, i second ) */

/* xxxxxxxxBBBBBBBBGGGGGGGGRRRRRRRR */
/* BBBBBBBBGGGGGGGGRRRRRRRR */
/* BBBBGGGGGGRRRRRR */
/* xBBBBBGGGGGRRRRR	*/


typedef char *PgPattern_t;
typedef struct {
	unsigned short	hue;
	unsigned char	sat, vid;
} PgColorHSV_t;


/* Macros for manipulating color values */






















/* Some common colors */































/* The standard VGA palette */


















/* Some useful patterns */


























/*
 	Flags used for various commands
 */










/*
  Stroke and Fill rules
 	PgDrawPolygon
 */








/*
  Draw arc flags
 	PgDrawArc 
 */












/*
  Line Joins - only relevant for lines thicker than 1 pixel
 	PgSetLineJoin
 */	 
/* default */





/*
  Line Caps - only relevant for lines thicker than 1 pixel
 	PgSetLineCap
 */	 
/* default */




/*
  Line dashing flags
 	PgSetLineDash 
 */



/*
  Text Underline Flags
 */



/*
  Text Justification Flags
 */
 














typedef struct {
	unsigned int			c:16;
	unsigned int			FGColor:4;
	unsigned int			BGColor:4;
	unsigned int			Highlight:1;
	unsigned int			Blinking:1;
	unsigned int			Underline:1;
	unsigned int			ReverseVideo:1;
	unsigned int			Italic:1;
	unsigned int			Bold:1;
	unsigned int			Spare:1;
	unsigned int			Selected:1;
} PgTermChar_t;

/*
  Color compare operators, Photon.mach specific
 	PgSetAuxFn
 */
/* default */
/* don't draw */







typedef struct {
	short		x1, x2;
	short		y;
} PgSpan_t;

typedef struct {
	signed char		x, y;
} PgTinyPoint_t;

/*
  Cursor definition structure (for use with PgSetCursorBitmap)
  An array of upto 2 of these may be used to define a cursor
 */
typedef struct {
	char		*Image;
	PhPoint_t	Size;
	PhPoint_t	Offset;
	PgColor_t	Color;
	char		BytesPerLine;
	char		Spare[3];
} PgCursorDef_t;

/* Limits */
















/*
  The graphics context
 */
typedef	struct _Pg_common_gc {
	PgColor_t		primary, secondary;
	char			dither_pattern[8];
	char			transp_pattern[8];
	unsigned long	flags;
	long			spare;
} PgCommonGC_t;

typedef struct _Pg_stroke_gc {
	PgCommonGC_t	com;
	long			width;
	char			join;
	char			cap;
	char			spareB[2];
	char			dash_list[ 16 ];
	long			dash_flags;
	long			dash_scale;
	long			spare[4];
} PgStrokeGC_t;

typedef struct _Pg_fill_gc {
	PgCommonGC_t	com;
} PgFillGC_t;

typedef struct _Pg_text_gc {
	PgCommonGC_t	com;
	char			font[ 16 ];
	PgColor_t		underline[2];
	unsigned short	underline_flags;
	short			spareS;
	long			BGColor;		// this WILL become a spare! 
} PgTextGC_t;

typedef struct Ph_gc {
	unsigned long	gc_flags;
	PhRid_t			rid, target_rid;
	PgStrokeGC_t	stroke;
	PgFillGC_t		fill;
	PgTextGC_t		text;
	unsigned long	plane_mask;
	unsigned short	draw_mode;
	unsigned short	spareS;
	PhLpoint_t		scale;
	PhPoint_t		translation;
	unsigned short	rotation;
	PhRect_t		*clip_rects;
	unsigned short	n_clip_rects;
	unsigned short	max_clip_rects;
	PhRect_t		*user_clip_rects;
	unsigned short	n_user_clip_rects;
	unsigned short	max_user_clip_rects;
	PhRect_t		aux_clip_rect;
	int				aux_clip_valid;
	long			palette_id;
	PgColor_t		*palette;
	unsigned short	num_colors;
	unsigned short	start_color;
	unsigned short	palette_flags;
	unsigned short	context_set_flags;
	PhRect_t		event_clip_extent;
	PhRect_t		user_clip_extent;
	PhRect_t		total_clip_extent;
	long			palette_tag;
	long			spare;
} PhGC_t;

/* Simple font metrics */
struct _Ph_font_widths {
	char			face[16];
	PhRect_t		extent;
	ushort_t		valid;
	char			widths[256];
};

/* Graphics library state */
struct _Ph_g_info {
	unsigned long				cmd_buffer_size;
	long						*cmd_buffer;
	long						*cmd_ptr;
	long						*cmd_base_ptr;
	unsigned 					cmd_buf_limit; 
	unsigned 					data_buf_len;
	struct  iovec  		data_mx[ 63  + 1];
	unsigned					mx_offsets[ 63  + 1];
	unsigned					n_data_mx;
	unsigned					context_len;
	unsigned					n_fonts;
	long						spare[4];
	struct _Ph_font_widths		**fonts;
};

/*
   Shared memory reference record structure (embedded in the draw buffer)
 */

typedef struct {
	short			rec_size;
	short			rec_type;
	unsigned long	offset;
	unsigned long	limit;
	unsigned long	obj_size;
	long			spare;
	char			name[ 16 ];
} _PgShmemRefStruct;




/* 
  Draw command opcodes (embedded in the draw buffer)
 */
 
// #define	Pg_CMD_ADDR_EXTENDED		0x00010000 
// #define	Pg_CMD_ADDR_INDIRECT		0x00020000 








typedef struct {
	unsigned long		flags;
	unsigned short		inline_offset;
	unsigned short		inline_size;
	char				*shmem_name;
	unsigned long		shmem_limit;
	unsigned long		shmem_offset;
	unsigned long		srce_tag;
	unsigned long		srce_offset;
	unsigned long		srce_size;
} CAHinfo_t;












/*
   General set opcodes
 */












/*
   Stroke set opcodes
 */









/*
   Fill set opcodes
 */





/*
   Text (and bitmap) set opcodes
 */







/*
   Simple draw opcodes
 */












/*
   Fill and/or Stroke draw opcodes
    OR will Pg_DRAW_FILL, Pg_DRAW_STROKE or Pg_DRAW_FILL_STROKE
 */





















/*
 	What to test before drawing
 */



// 0x0100	// 0x1
// 0x0200	// 0x2
// #define	Pg_TEST_PALETTE				0x1000	// unused?? 


#pragma pack()

#line 610 "/src/photon/include/photon/Pg.h"

/* __PH_GLIB_H_ */
#line 552 "/src/photon/include/photon/PhT.h"


typedef struct Ph_cursor_def {
	PhRegionDataHdr_t	hdr;
	PhPoint_t			size;
	PhPoint_t			offset;
	PgColor_t			color1;
	PgColor_t			color2;
	char				bytesperline;
	char				Spare[2];
	char				num_bitmaps;
	char				images[1];
} PhCursorDef_t;

#line 568 "/src/photon/include/photon/PhT.h"

#line 16 "/src/photon/include/Ph.h"

#line 1 "/src/photon/include/photon/Pg.h"

/*
 	Pg.h	
 		Manifests and data structures for the Pg-lib
 
   Copyright by QNX Software Systems Limited 1990-1994. All rights reserved.
 */
/* __PH_GLIB_H_ */#line 612 "/src/photon/include/photon/Pg.h"
#line 17 "/src/photon/include/Ph.h"

#line 1 "/src/photon/include/photon/PhInternal.h"

/*
  PhInternal.h	
 
 		Photon library control structure
 
   Copyright by QNX Software Systems Limited 1990-1994. All rights reserved.
 */



#line 14 "/src/photon/include/photon/PhInternal.h"

//#ifndef __MOUSE_H_INCLUDED 
// #include <sys/mouse.h> 
//#endif 

#line 22 "/src/photon/include/photon/PhInternal.h"

#line 26 "/src/photon/include/photon/PhInternal.h"

#line 30 "/src/photon/include/photon/PhInternal.h"

#line 40 "/src/photon/include/photon/PhInternal.h"

struct Ph_soul_entry {
	void					*next;
	unsigned short			 total;		// Total allocated (free or in use). 
	unsigned short			 num_souls;	// Number in this list. 
	unsigned short			 size;		// Size of object in the list. 
	unsigned short			 inc;		// Alloc more by this increment. 
	unsigned short			  min ;		// total >= min 
	unsigned short			  max ;		// total <= max 
	unsigned short			 largest;	// Largest number in use 
	ushort_t				 reserved;
};

typedef struct Ph_soul_entry			PhSoul_t;
typedef struct Ph_vector_entry			PhVector_t;

/* The channel control structure */
struct _Ph_ctrl {
	int							fd;
	pid_t						proxy;
	pid_t						vproxy;
	long						id;
	struct _Ph_g_info			gin;
	PhTile_t					temp_tile;
	PhGC_t						*gc, *dflt_gc, *buf_gc;
	PhSoul_t					tile_souls;
	char						*device;
	long						reserved[4];
};

/* Photon process info */
struct _Ph_psinfo {
	unsigned long				flags;
	PhChannelParms_t			parms;
	mpid_t						block;
	unsigned					num_q_entries;
	unsigned					buf_len;
};

/* Proc is internal Photon handler */
/* If event occurs, trigger proc's proxy */
/* Proc is "reply-blocked" on a server */
/* Proc is held on someone else's queue */
/* Proc is catching up on its event queue */
/* Proc's wishes to match buffer size */

#line 89 "/src/photon/include/photon/PhInternal.h"

#line 18 "/src/photon/include/Ph.h"

#line 1 "/src/photon/include/photon/PhMsg.h"

/*
  	PhMsg.h	
 		Structures for Photon-client messaging
 
   Copyright by QNX Software Systems Limited 1990-1994. All rights reserved.
 */



#line 1 "/usr/nto/include/signal.h"

/*
   signal.h    Signal definitions
 
   Copyright (C) by WATCOM Systems Inc. 1988-1996.  All rights reserved.
   Copyright (C) by Quantum Software Systems 1990-1996. All rights reserved.
 */
#line 256 "/usr/nto/include/signal.h"
#line 11 "/src/photon/include/photon/PhMsg.h"


#line 15 "/src/photon/include/photon/PhMsg.h"

/*
  Photon message types (first short of every message)
 */













/* Proxy message type */





/* 
  Photon message subtypes
 */

/* for _Ph_REGION */



// reserved for window manager forwarded events

/* for _Ph_QUERY */




/* for _Ph_INIT */


/*
  Photon reply types (returned to clients)
 */








/* 
  Photon message flags 
 */




/*
  Photon reply flags 
 */


/*
  Message structures
 */

/* Generic Photon message header */
struct _Ph_msg_hdr {
	short unsigned	type;
	short unsigned	subtype;
	short unsigned	flags;
	short			reserved;
};

/* _Ph_EMIT */
struct _Ph_msg_emit {
	struct _Ph_msg_hdr	hdr;
	PhEvent_t			event;
};

/* _Ph_CONTROL */
struct _Ph_msg_control {
	struct _Ph_msg_hdr	hdr;
	unsigned long		buf_len;
};

/* _Ph_REGION subtype _Ph_REGION_OPEN */
struct _Ph_msg_region_open { 
	struct _Ph_msg_hdr		hdr;
	ulong_t					fields;	
	ulong_t					zero;
	PhRegion_t				info;
	/*
	 rects
	 [data]
	*/
};

/* _Ph_REGION subtype _Ph_REGION_SET */
struct _Ph_msg_region_set {
	struct _Ph_msg_hdr		hdr;
	ulong_t					fields;
	ulong_t					flags;
	PhRegion_t				info;
	/*
	 [rects]
	 [data]
	*/
};

/* _Ph_REGION subtype _Ph_REGION_CLOSE */
struct _Ph_msg_region_close {
	struct _Ph_msg_hdr	hdr;
	PhRid_t				rid;
};

/* _Ph_INIT */
struct _Ph_msg_init {
	struct _Ph_msg_hdr	hdr;
	PhChannelParms_t	parms;
	short				fd;
	char				zero[14];
};

/* _Ph_QUERY subtype _Ph_QUERY_RIDS */
struct _Ph_msg_query_rids {
	struct _Ph_msg_hdr	hdr;
	unsigned short		flags;
	unsigned short		num;
	PhRid_t				rid;
	unsigned short		input_group;
	short				reserved;
	ulong_t				type;
	unsigned long		sense;
	PhRid_t				emitter;
	PhRect_t			rect;
};

/* _Ph_QUERY subtype _Ph_QUERY_REGION */
struct _Ph_msg_query_region {
	struct _Ph_msg_hdr	hdr;
	PhRid_t				rid;
	unsigned long		flags;
};



/* _Ph_QUERY subtype _Ph_PSINFO */
struct _Ph_msg_query_psinfo {
	struct _Ph_msg_hdr	hdr;
	mpid_t				pid;
};

/*
  Photon-managed services
 
 	The server will route messages from _Ph_SERV_START to
 	_Ph_SERV_END to the appropriate manager
 */

/* Service message types */








/* _Ph_FORWARD and all _Ph_SERV-type messages */
struct _Ph_msg_forward {
	struct _Ph_msg_hdr	hdr;
	mpid_t				pid;
	unsigned short		len;
	/* message-specific data follows */
};

/* _Ph_SERV_GRAFX */





// shutdown driver [subtype = 0]
                                    // or query status [subtype = 1] 
// placed out of range since this is temporary


/* _Ph_SERV_GRAFX type _Ph_DRAW_EXTENT */
struct _Ph_msg_draw_extent {
	struct _Ph_msg_hdr	hdr;
	PhDrawEvent_t		event;
};

/* _Ph_SERV_GRAFX type _Ph_COLOR_MATCH */
struct _Ph_msg_color_match {
	struct _Ph_msg_hdr	hdr;
	long				num;
	PgColor_t			c[1];	
};

/* _Ph_SERV_GRAFX type _Ph_STRING_EXTENT */
struct _Ph_msg_string_extent {
	struct _Ph_msg_hdr	hdr;
	ushort_t			tflags;
	ushort_t			tlen;
	char				font[ 16 ];
	long				spare[8];
	char				s[1];
};

/* _Ph_SERV_GRAFX type _Ph_HW_ZOOM */
struct _Ph_msg_hw_zoom {
	struct _Ph_msg_hdr	hdr;
	long				zoom_factor;
};

/* _Ph_SERV_GRAFX type _Ph_HW_GAMMA */
struct _Ph_msg_hw_gamma {
	struct _Ph_msg_hdr	hdr;
	long				num;
	PgColor_t			c[1];	
};

/* _Ph_SERV_GRAFX type _Ph_FONT_METRICS */
struct _Ph_msg_font_metrics {
	struct _Ph_msg_hdr	hdr;
	/*
	char fontname[0];
	*/
};

/* _Ph_NOTIFY */
struct _ph_notify {
  msg_t               type;
  short int			  fd;
  struct sigevent     event;
};


/*
  Photon replies
 */

/* Generic reply header */
struct _Ph_msg_hdr_reply {
	unsigned short	status;
	unsigned short	type;
	unsigned short	n_events;
	unsigned short	flags;
};

/*
  Dequeued reply types
 */

/* _Ph_EVENT_MSG */
struct _Ph_msg_event_reply {
	struct _Ph_msg_hdr_reply	hdr;
	PhEvent_t					event;
};

/* _Ph_CLOSE_MSG */
struct _Ph_msg_close_reply {
	struct _Ph_msg_hdr_reply 	hdr;
	mpid_t						pid;
};

/* _Ph_RESIZE_MSG */
struct _Ph_msg_resize_reply {
	struct _Ph_msg_hdr_reply	hdr;
	unsigned long				buf_len;
};

/*
  Regular synchronous message replies
 */

/* _Ph_INIT reply */
struct _Ph_msg_init_reply {
	struct _Ph_msg_hdr_reply	hdr;
	long						id;
};

/* _Ph_REGION subtype _Ph_REGION_OPEN */
struct _Ph_msg_region_open_reply {
	struct _Ph_msg_hdr_reply	hdr;
	PhRid_t						rid;
};

/* _Ph_QUERY subtype _Ph_QUERY_RIDS reply */
struct _Ph_msg_query_rids_reply {
	struct _Ph_msg_hdr_reply	hdr;
	unsigned long				num;
	/* PhMsg_t			rids[] */
};

/* _Ph_QUERY subtype _Ph_QUERY_REGION reply */
struct _Ph_msg_query_region_reply {
	struct _Ph_msg_hdr_reply	hdr;
	PhRegion_t					info;
	/*
	 rects
	 [data]
	*/
};

/* _Ph_QUERY subtype _Ph_QUERY_PSINFO reply */
struct _Ph_msg_query_psinfo_reply {
	struct _Ph_msg_hdr_reply	hdr;
	struct _Ph_psinfo			psinfo;
};

/* _Ph_SERV_GRAFX type _Ph_DRAW_EXTENT reply */
struct _Ph_msg_draw_extent_reply {
	struct _Ph_msg_hdr_reply	hdr;
	PhRect_t					extent;
	ushort_t					valid;
};

/* _Ph_SERV_GRAFX type _Ph_COLOR_MATCH reply */
struct _Ph_msg_color_match_reply {
	struct _Ph_msg_hdr_reply	hdr;
	PgColor_t					c[1];	
};

/* _Ph_SERV_GRAFX type _Ph_STRING_EXTENT reply */
struct _Ph_msg_string_extent_reply {
	struct _Ph_msg_hdr_reply	hdr;
	PhRect_t					extent;
	long						spare[4];
};

/* _Ph_SERV_GRAFX type _Ph_HW_ZOOM reply */
struct _Ph_msg_hw_zoom_reply {
	struct _Ph_msg_hdr_reply	hdr;
};

/* _Ph_SERV_GRAFX type _Ph_FONT_METRICS reply */
struct _Ph_msg_font_metrics_reply {
	struct _Ph_msg_hdr_reply	hdr;
	PhRect_t					extent;
	ushort_t					valid;
	char						widths[256];
};

struct _Ph_printer_spec {
	short pr_id;    /* printer descriptor number */ 
	unsigned short p_num;
	unsigned short paper_size_x,paper_size_y;
	unsigned int top_border;
	unsigned int bottom_border;
	unsigned int left_border;
	unsigned int right_border;
	unsigned int scale;
	int flags;
};








struct _Ph_msg_printer {
	struct _Ph_msg_hdr		hdr;
	struct _Ph_printer_spec	ps;
	PhRid_t					rid;
};

struct _Ph_msg_printer_reply {
	struct _Ph_msg_hdr_reply 	hdr;
	struct _Ph_printer_spec		ps;
	};

struct _Ph_msg_printer_query {
	struct _Ph_msg_hdr_reply 	hdr;
	struct _Ph_printer_spec		ps;
	char   printer_name[25];
	};


/* _Ph_NOTIFY reply */

struct _ph_notify_reply {
  msg_t               status;
};

/* Photon message unions */
typedef union _Ph_msg_union {
	struct _Ph_msg_hdr					hdr;
	struct _Ph_msg_emit					emit;
	struct _Ph_msg_region_open			ropen;
	struct _Ph_msg_region_set			rset;
	struct _Ph_msg_region_close			rclose;
	struct _Ph_msg_query_rids 			query_rids;
	struct _Ph_msg_query_region			query_region;
	struct _Ph_msg_forward				forward;
	struct _Ph_msg_init					init;
} PhMsgUnion_t;

typedef union _Ph_msg_reply_union {
	struct _Ph_msg_hdr_reply					hdr;
	struct _Ph_msg_region_open_reply			ropen;
	struct _Ph_msg_event_reply					event;
	struct _Ph_msg_query_rids_reply				query_rids;
	struct _Ph_msg_query_region_reply			query_region;
	char byte_data[512];
} PhMsgReplyUnion_t;


/*
  Message of _IO_DEVCTL
 */
struct _io_devctl {
	msg_t			type;
	unsigned short	combine_len;
	long			dcmd;
	long			nbytes;
	long			zero;
/*	char			data[nbytes]; */
};

/* struct _io_devctl combine_len */


struct _io_devctl_reply {
	msg_t			status;
	unsigned short	zero;
	long			ret_val;
	long			nbytes;
	long			zero2;
/*	char			data[nbytes]; */
    } ;

typedef union {
	struct _io_devctl			i;
	struct _io_devctl_reply		o;
} io_devctl_t;



#line 463 "/src/photon/include/photon/PhMsg.h"



#line 19 "/src/photon/include/Ph.h"

#line 1 "/src/photon/include/photon/PhWm.h"

/*
  PhWm.h	
 		Contains all structures and manifests for window manager
 		interactions.
 
   Copyright by QNX Software Systems Limited 1990-1994. All rights reserved.
 */



#line 14 "/src/photon/include/photon/PhWm.h"

/* event subtypes */













/* _Ph_REGION subtype _Ph_WINDOW_VISIBLE */
struct _Ph_msg_query_visible {
	struct _Ph_msg_hdr	hdr;
	unsigned short		flags;
	unsigned short		input_group;
	PhRid_t				rid;
};

struct _Ph_msg_query_visible_reply {
	struct _Ph_msg_hdr_reply	hdr;
	PhRect_t					rect;
};

/* _Ph_REGION subtype _Ph_WINDOW_EVENT */
typedef struct _Ph_window_event {
	ulong_t				event_f;		// same manifests as managed and notify 
	ulong_t				state_f;		// current window state 
	PhRid_t				rid;			// target of event 
	PhPoint_t			pos;
	PhDim_t				size;
	ushort_t			event_state;
	ushort_t			input_group;
	ulong_t				rsvd[4];
} PhWindowEvent_t;












typedef struct _Ph_window_info {
	PhRegionDataHdr_t	rhdr;
	ulong_t				fields;
	ulong_t				managed_f;		// WM preforms action 
	ulong_t				notify_f;		// App is informed about action 
	ulong_t				state_f;		// current/initial window state 
	ulong_t				render_f;		// how window looks 
	PhPoint_t			icon_size;
	PhPoint_t			icon_pos;
	PhRid_t				link;			// icon link to parent 
	PhRid_t				parent_rid;		// link to parent region 
	char				title[64];
	char				title_font[ 16 ];
	char				icon_title[32];
	PhDim_t				dim_min;
	PhDim_t				dim_max;
	PgColor_t			frame_active_color;
	PgColor_t			frame_inactive_color;
	unsigned short		child_count;
	long				reserved[4];
} PhWindowInfo_t;


	// set managed_f and notify_f 
	

	// set state_f 
	

	// set render_f 
	

	// title_offset indicates offset from start of PhWindowInfo_t structure in message 
	// if title_font_offset is not 0, set use this font for the title 
	

	// icon_title_offset points to icon title, otherwise title_offset will title icon 
	

	// icon_size overrides default WM's icon size 
	

	// icon_pos overrides WM's icon placement 
	

	// un-minify and restore focus to LINK window when this window is closed 


	// parent region id 


	// number of children 


	// set frame attributes 


	// this will cause the window that this window is linked to, to be linked back 
	// no data is associated with the flag 
	

// STATE Flags 


// window is hidden
// window is maximized
// window is a backdrop 
// reserved for pwm
// reserved for pwm
// window is iconified
// window is an icon
// window is front most in family
// window wants the ALT-Fx keys
// window has focus

// RENDER Flags 


// standard window
// icon style window


	// draw frame around window 

	// if RENDER_BORDER, draw resize handles in frame 

	// if RENDER_BORDER, draw title bar in frame 

	// if RENDER_TITLE, add menu button to left of title 

	// if RENDER_TITLE, add close button to right of title 

	// if RENDER_TITLE, add help button to right of title 

	// if RENDER_TITLE, add min button to right of title 

	// if RENDER_TITLE, add max button to right of title 


// MANAGED and NOTIFY Flags 


	// managed_f		N/A 
	// notify_f			WM triggers WINDOW CLOSE to app 
	

	// notify_f			triggers TERMINATE window event 
	// managed_f		WM won't terminate until app responds to TERMINATE event 
	

	// managed_f		WM grants or steals focus 
	// notify_f			trigger FOCUS window event 
	

	// managed_f		WM builds and controls window menu 
	// notify_f			trigger MENU window event 
	

	// managed_f		WM moves app to the front 
	// notify_f			triggers TOFRONT window event 
	

	// managed_f		WM moves app th the back 
	// notify_f			triggers TOBACK window event 


	// managed_f		WM hides the app 
	// notify_f			triggers HIDE window event 
	

	// managed_f		WM moves app to new screen 
	// notify_f			triggers CONSWITCH window event 


	// managed_f		WM resizes app 
	// notify_f			trigger RESIZE window event 
	

	// managed_f		WM moves app 
	// notify_f			trigger MOVE window event 
	

	// managed_f		WM hides application 
	// notify_f			trigger ICON window event 


	// managed_f		WM resizes app 
	// notify_f			triggers MAX window event 
	

	// managed_f		WM resizes app 
	// notify_f			triggers BACKDROP window event 
	

	

	// managed_f		WM resizes app 
	// notify_f			handled as a  unICON, unMAX or unBACKDROP window event 


	// managed_f		N/A 
	// notify_f			triggers HELP window event 


	// managed_f		WM makes window force front/not force front 
	// notify_f			N/A 
	








									




#line 248 "/src/photon/include/photon/PhWm.h"


#line 20 "/src/photon/include/Ph.h"

#line 1 "/src/photon/include/photon/PhProto.h"

/*
  PhProto.h	
 		Prototypes for the Photon Ph and Pg libraries
 
   Copyright by QNX Software Systems Limited 1990-1994. All rights reserved.
 */
#line 10 "/src/photon/include/photon/PhProto.h"

//#define	PgOld 

/*
extern int PgDrawMultiBitmap(void ,int ,PhPoint_t ,PhPoint_t ,int ,long,PhPoint_t ,int );
extern int PgDrawMultiImage(void ,int ,PhPoint_t ,PhPoint_t ,int ,long,PhPoint_t ,int );
*/

extern int PgShmemAttach( char *, unsigned long , void *);
extern int PgShmemDetach( void *);
extern void *PgShmemCreate( unsigned long , char *);
extern int PgShmemDestroy( void *);
extern void PgShmemCleanup();

void PhObjectFree( PhSoul_t *, void *);
void *PhObjectGrow( PhSoul_t * );
void *PhObjectAlloc( PhSoul_t * );

int PgSetMultiClip( int , PhRect_t	*);
extern int PtRectIntersect( PhRect_t *, PhRect_t *);
extern int PtRectUnion( PhRect_t *, PhRect_t *);

extern long _Pk_TranslateKeyAno(char *);
extern PhTile_t *GetTile(void );
extern void FreeTile(PhTile_t *);
extern PhTile_t *AddTilePnts(PhTile_t *,int ,int ,int ,int );
extern PhTile_t *AddTileRect(PhTile_t *,PhRect_t *);
extern PhTile_t *CopyTiling(PhTile_t *);
extern PhTile_t *ClipExtents(PhRect_t *,PhRect_t *);
extern PhRect_t *TranslateRect(PhRect_t *,PhPoint_t *);
extern PhRect_t *IntersectRects(PhRect_t *,PhRect_t *,PhRect_t *);
extern PhTile_t *MakeTiling(unsigned short ,PhRect_t *);
extern int CheckIntersection(PhTile_t *,PhTile_t *);
extern PhTile_t *IntersectTilings(PhTile_t *,PhTile_t *,unsigned short *);
extern PhTile_t *ClipTilings(PhTile_t *,PhTile_t *);
extern void PgDrawBorder(PhRect_t *,PgColor_t ,PgColor_t );
extern void PgDrawFillBorder(PhRect_t *,PgColor_t ,PgColor_t );
extern void PgDrawBox(PhRect_t *,int, PgColor_t, PgColor_t );
extern void PgDrawFillBox(PhRect_t *,int, PgColor_t, PgColor_t );
extern void PgDrawIBox(int ,int ,int ,int ,int, PgColor_t, PgColor_t );
extern void PgDrawSeparator(PhRect_t *, PgColor_t, PgColor_t);
extern void PgDrawISeparator(int ,int ,int, PgColor_t, PgColor_t );
extern void PgDrawArrowUp(PhRect_t *,int,int,  PgColor_t, PgColor_t );
extern void PgDrawArrowDown(PhRect_t *,int,int, PgColor_t, PgColor_t );
extern void PgDrawArrowRight(PhRect_t *,int,int, PgColor_t, PgColor_t );
extern void PgDrawArrowLeft(PhRect_t *,int,int, PgColor_t, PgColor_t );
extern void PgSetTargetRid( PhRid_t );
extern PgColor_t PgHSV(unsigned int ,int ,int );
extern PgColor_t PgHSV2RGB(PgColorHSV_t );
extern PgColorHSV_t PgRGB2HSV(PgColor_t );
extern void __PgAppendData(void *,short );
extern int _PgBuildDrawCommand(unsigned int ,int );
extern int PgFFlush(unsigned int );
extern int PgFlush(void );
extern void PgClearDrawBuffer(void);
extern int PgSetDrawBufferSize(unsigned short );
extern void PgExtentInit(void );
extern PhRect_t *PgExtentText(PhRect_t *,PhPoint_t *,char *,char *,unsigned int );
extern int PgExtentQuery(PhRect_t *);
extern void PgSetRegion(PhRid_t );
extern PhGC_t *PgCreateGC( int );
extern void PgDestroyGC(PhGC_t *);
extern PhGC_t *PgSetGC(PhGC_t *);
extern PhGC_t *PgGetGC(void);
extern PgColor_t PgSetStrokeColor(PgColor_t );
extern void PgSetStrokeXORColor(PgColor_t, PgColor_t );
extern void PgSetStrokeDither(PgColor_t ,PgColor_t ,char *);
extern void PgSetStrokeTransPat(char *);
extern long PgSetStrokeFWidth(long );
extern int PgSetStrokeWidth(int );
extern int PgSetStrokeCap(int );
extern int PgSetStrokeJoin(int );
extern void PgSetStrokeDash(char *,int ,long );
extern PgColor_t PgSetFillColor(PgColor_t );
extern void PgSetFillXORColor(PgColor_t, PgColor_t );
extern void PgSetFillDither(PgColor_t ,PgColor_t ,char *);
extern void PgSetFillTransPat(char *);
extern PgColor_t PgSetTextColor(PgColor_t );
extern void PgSetTextXORColor(PgColor_t, PgColor_t );
extern void PgSetTextDither(PgColor_t ,PgColor_t ,char *);
extern void PgSetTextTransPat(char *);
extern void PgSetFont(char *);
extern void PgSetUnderline(PgColor_t ,PgColor_t ,int );
extern int PgSetPalette(PgColor_t *,long, short ,short ,int, long );
extern void PgResetState(void );
extern unsigned long PgSetPlaneMask(unsigned long );
extern int PgSetDrawMode(int );
extern void PgSetClipping(unsigned short ,PhRect_t *);
extern void PgSetUserClip(PhRect_t *);
extern void PgSetUserClipAbsolute(PhRect_t *);
extern void PgSetTranslation(PhPoint_t *,int );
extern void PgClearTranslation(void );
extern void PgSetScale(PhLpoint_t *,int );
extern void PgSetRotation(long ,int );
extern void PgDefaultStroke( PhGC_t *GC );
extern void PgDefaultFill( PhGC_t *GC );
extern void PgDefaultMode( PhGC_t *GC );
extern void PgDefaultGC( PhGC_t *GC );
extern int PgBitBlit( PhPoint_t *, PhPoint_t *, PhPoint_t *, unsigned );
extern int PgDrawPixel(PhPoint_t *);
extern int PgDrawIPixel(int ,int );
extern int PgDrawGrid(PhRect_t *,PhPoint_t *);
extern int PgDrawLine(PhPoint_t *,PhPoint_t *);
extern int PgDrawILine(int ,int ,int ,int );
extern int PgDrawRect(PhRect_t *,unsigned int );
extern int PgDrawIRect(int ,int ,int ,int ,unsigned int );
extern int PgDrawRoundRect(PhRect_t *,PhPoint_t *,unsigned int );
extern int PgDrawBevelBox(PhRect_t *,PgColor_t ,short ,int );
extern int PgDrawIBevelBox(int ,int ,int ,int ,PgColor_t ,short ,int );
extern int PgDrawEllipse(PhPoint_t *,PhPoint_t *,unsigned int );
extern int PgDrawArc(PhPoint_t *,PhPoint_t *,unsigned int ,unsigned int ,int );
extern int PgDrawPolygon(PhPoint_t *,int ,PhPoint_t *,int );
extern int PgDrawPolygonmx(PhPoint_t *,int ,PhPoint_t *,int );
extern int PgDrawPixelArray(PhPoint_t *,int ,PhPoint_t *);
extern int PgDrawPixelArraymx(PhPoint_t *,int ,PhPoint_t *);
extern int PgDrawSpan( PgSpan_t *ptr, int num, PhPoint_t *pos, int flags );
extern int PgDrawSpanmx( PgSpan_t *ptr, int num, PhPoint_t *pos, int flags );
extern int PgDrawBezier( PhPoint_t *ptr, int num, PhPoint_t *pos, int flags );
extern int PgDrawBeziermx( PhPoint_t *ptr, int num, PhPoint_t *pos, int flags );
extern int PgDrawTrend( short*, PhPoint_t*, int, int, int, int, unsigned);
extern int PgDrawTrendmx( short*, PhPoint_t*, int, int, int, int, unsigned );
extern int PgDrawBitmap(void *,int ,PhPoint_t *,PhPoint_t *,int,long );
extern int PgDrawBitmapmx(void *,int ,PhPoint_t *,PhPoint_t *,int,long );
extern int PgDrawImage(void *,int ,PhPoint_t *,PhPoint_t *,int,long );
extern int PgDrawImagemx(void *,int ,PhPoint_t *,PhPoint_t *,int,long );
extern int PgDrawBeveled( PhRect_t *rect, PhPoint_t *radii, PgColor_t secondary, short width, int flags );
extern int PgDrawBezier( PhPoint_t *ptr, int num, PhPoint_t *pos, int flags );
extern int PgDrawBeziermx( PhPoint_t *ptr, int num, PhPoint_t *pos, int flags );
extern int PgDrawRepBitmap( void *_ptr, int flag, PhPoint_t *pos_p, PhPoint_t *area_p, int bpl, PhPoint_t *rep, PhPoint_t *space, long TAG );
extern int PgDrawRepBitmapmx( void *_ptr, int flag, PhPoint_t *pos_p, PhPoint_t *area_p, int bpl, PhPoint_t *rep, PhPoint_t *space, long TAG );
extern int PgDrawRepImage( void *_ptr, int flag, PhPoint_t *pos_p, PhPoint_t *area_p, int bpl, PhPoint_t *rep, PhPoint_t *space, long TAG );
extern int PgDrawRepImagemx( void *_ptr, int flag, PhPoint_t *pos_p, PhPoint_t *area_p, int bpl, PhPoint_t *rep, PhPoint_t *space, long TAG );
extern int PgDrawText(char *,int ,PhPoint_t *,int );
extern int PgDrawTextChars(char *,int ,PhPoint_t *,int );
extern int PgDrawTextJustify(char *,int ,PhPoint_t *,PhRect_t *,int );
extern int PgDrawTextmx(char *,int ,PhPoint_t *,int );
extern int PgDrawString(char *,PhPoint_t *);
extern int PgDrawStringmx(char *,PhPoint_t *);
extern struct _Ph_ctrl *PhAttachRaw(int ,PhChannelParms_t *);
extern struct _Ph_ctrl *PhReattachRaw(struct _Ph_ctrl *);
extern int PhDetachRaw(struct _Ph_ctrl *);
extern int PhDetach(struct _Ph_ctrl *);
extern int _PhEventCtrl(int ,void *,unsigned );
extern unsigned PhRegionOpen(unsigned,PhRegion_t *,PhRect_t *,void *);
extern int PhRegionClose(PhRid_t );
extern int PhRegionChange(unsigned long, unsigned long, PhRegion_t *,PhRect_t *,void *);
extern int PhEventEmitmx(PhEvent_t *,PhRect_t *,int ,struct  iovec  *);
extern int PhEventEmit(PhEvent_t *,PhRect_t *,void *);
extern int _PhRegisterService(unsigned);
extern int _PhDeregisterService(unsigned);
extern PhRect_t *PhGetRects(PhEvent_t *);
extern void *PhGetData(PhEvent_t *);
extern unsigned int PhGetMsgSize(PhEvent_t *);
extern struct _Ph_ctrl *PhInitRaw(struct _Ph_ctrl *);
extern struct _Ph_ctrl *PhAttach(char *,PhChannelParms_t *);
extern struct _Ph_ctrl *PhReattach(struct _Ph_ctrl *);
extern int PhInfo(struct _Ph_ctrl *,unsigned int ,void *,int );
extern int PhEventNext(void *,unsigned );
extern int PhEventPeek(void *,unsigned);
extern int PhEventArm(void );
extern int PhEventRead(pid_t ,void *,unsigned);
extern unsigned PhWindowOpen(unsigned ,const PhRegion_t *,const PhRect_t *,const void *);
extern int PhWindowChange(unsigned, unsigned,const PhRegion_t *,const PhRect_t *,const void *);
extern int PhWindowClose(PhRid_t );
extern int PhWindowEvent(const PhWindowEvent_t *);
extern int PhInitDrag(PhRid_t ,ushort_t ,const PhRect_t *,const PhRect_t *,unsigned int ,const PhDim_t *,const PhDim_t *,const PhDim_t *);
extern int PhBlit(PhRid_t ,const PhRect_t *,const PhPoint_t *);
extern int PhWindowQueryVisible(unsigned flags, PhRid_t rid, unsigned input_group, PhRect_t *rect);
extern int PhQueryRids(unsigned flags, PhRid_t rid, unsigned input_group, unsigned type, unsigned sense, PhRid_t emitter, const PhRect_t *rect, PhRid_t rids[], int num);
extern int PhRegionQuery(PhRid_t ,PhRegion_t *,PhRect_t *,void *,unsigned int );
extern PhRegionDataHdr_t *
	PhRegionDataFindType( PhRegion_t *, PhRegionDataHdr_t *, short );
extern PhRegionDataHdr_t *
	PhRegionDataNext( PhRegion_t *, void *, PhRegionDataHdr_t * );
extern pid_t video_locate(void );
extern int video_on(pid_t ,short ,short ,short ,short ,short );
extern int video_off(pid_t );
extern int video_move(pid_t ,short ,short ,short ,short );
extern int video_freeze(pid_t ,short );
// extern int video_adjust(pid_t ,VMC2_CONFIG *,char ); 
extern int video_save(pid_t );
extern int video_load(pid_t );
extern int video_channel(pid_t ,short );
extern int video_color_key(pid_t ,short );
extern int PhTo8859_1( PhKeyEvent_t * );
extern int PhKeyToMb( char *, PhKeyEvent_t * );
// extern int video_get_config(pid_t ,VMC2_CONFIG *); 
extern struct _Ph_ctrl *PhOpen( char *device, PhChannelParms_t *parms );
PhSysInfo_t * PhQuerySystemInfo( PhSysInfo_t * );
 int PhTimerArm( PhRid_t, long, int );

int PgDeleteCursor( int id );
int PgSetCursorPos( int id, int x, int y );
int PgSetDragPos( int id, int x1, int y1, int x2, int y2 );
int PgSetCursorChar( int id, PgColor_t colr1, PgColor_t colr2, int char1, int char2 );
int PgSetCursorBitmap( int id, int num, PgCursorDef_t CD[] );

#line 224 "/src/photon/include/photon/PhProto.h"

#line 228 "/src/photon/include/photon/PhProto.h"
#line 21 "/src/photon/include/Ph.h"

#line 1 "/src/photon/include/photon/PkKeyDef.h"

/* $XConsortium: keysymdef.h,v 1.14 91/02/14 15:26:22 rws Exp $ */

/*
Copyright 1987 by Digital Equipment Corporation, Maynard, Massachusetts,
and the Massachusetts Institute of Technology, Cambridge, Massachusetts.

                        All Rights Reserved

Permission to use, copy, modify, and distribute this software and its
documentation for any purpose and without fee is hereby granted,
provided that the above copyright notice appear in all copies and that
both that copyright notice and this permission notice appear in
supporting documentation, and that the names of Digital or MIT not be
used in advertising or publicity pertaining to distribution of the
software without specific, written prior permission.

DIGITAL DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING
ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT SHALL
DIGITAL BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR
ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS
SOFTWARE.

*/


/* void symbol */































// the following defines will use the key_flags feild from PhKeyEvent_t 



//	typedef struct { 
//		char *		Ano; 
//		long		Val; 
//	} __DefAno_t; 
// / Pk_KeyDefAno 

/* back space, back char */

/* Linefeed, LF */

/* Return, enter */
/* Pause, hold */


/* Delete, rubout */




/* International & multi-key character composition */

/* Multi-key character compose */

/* Japanese keyboard support */

/* Kanji, Kanji convert */
/* Cancel Conversion */
/* Start/Stop Conversion */
/* Alias for Henkan_Mode */
/* to Romaji */
/* to Hiragana */
/* to Katakana */
/* Hiragana/Katakana toggle */
/* to Zenkaku */
/* to Hankaku */
/* Zenkaku/Hankaku toggle */
/* Add to Dictionary */
/* Delete from Dictionary */
/* Kana Lock */
/* Kana Shift */
/* Alphanumeric Shift */
/* Alphanumeric toggle */

/* Cursor control & motion */


/* Move left, left arrow */
/* Move up, up arrow */
/* Move right, right arrow */
/* Move down, down arrow */
/* Prior, previous */
/* Prior, previous */
/* Next */
/* Next */
/* EOL */
/* BOL */


/* Misc Functions */

/* Select, mark */

/* Execute, run, do */
/* Insert, insert here */
/* Undo, oops */
/* redo, again */

/* Find, search */
/* Cancel, stop, abort, exit */
/* Help, ? */

/* Character set switch */
/* Alias for mode_switch */


/* Keypad Functions, keypad numbers cleverly chosen to map to ascii */

/* space */

/* enter */
/* PF1, KP_A, ... */



/* equals */


/* separator, often comma */

















/*
  Auxilliary Functions; note the duplicate definitions for left and right
  function keys;  Sun keyboards and a few other manufactures have such
  function key groups on the left and/or right sides of the keyboard.
  We've not found a keyboard with more than 35 function keys total.
 */






























































/* Modifiers */

/* Left shift */
/* Right shift */
/* Left control */
/* Right control */
/* Caps lock */
/* Shift lock */

/* Left meta */
/* Right meta */
/* Left alt */
/* Right alt */
/* Left super */
/* Right super */
/* Left hyper */
/* Right hyper */

/*
   Latin 1
   Byte 3 = 0
 */









/* deprecated */


























































/* deprecated */










































/* left angle quotation mark */















/* right angle quotation mark */





















/* deprecated */














/* deprecated */

































/* Pk_LATIN1 */

/*
    Latin 2
    Byte 3 = 1
 */

/* Pk_LATIN2 */#line 523 "/src/photon/include/photon/PkKeyDef.h"

/*
    Latin 3
    Byte 3 = 2
 */

/* Pk_LATIN3 */#line 553 "/src/photon/include/photon/PkKeyDef.h"


/*
    Latin 4
    Byte 3 = 3
 */

/* Pk_LATIN4 */#line 598 "/src/photon/include/photon/PkKeyDef.h"

/*
  Katakana
  Byte 3 = 4
 */

/* Pk_KATAKANA */#line 676 "/src/photon/include/photon/PkKeyDef.h"

/*
   Arabic
   Byte 3 = 5
 */

/* Pk_ARABIC */#line 734 "/src/photon/include/photon/PkKeyDef.h"

/*
  Cyrillic
  Byte 3 = 6
 */
/* Pk_CYRILLIC */#line 848 "/src/photon/include/photon/PkKeyDef.h"

/*
  Greek
  Byte 3 = 7
 */

/* Pk_GREEK */#line 930 "/src/photon/include/photon/PkKeyDef.h"

/*
  Technical
  Byte 3 = 8
 */

/* Pk_TECHNICAL */#line 987 "/src/photon/include/photon/PkKeyDef.h"

/*
   Special
   Byte 3 = 9
 */

/* Pk_SPECIAL */#line 1019 "/src/photon/include/photon/PkKeyDef.h"

/*
   Publishing
   Byte 3 = a
 */

/* Pk_PUBLISHING */#line 1110 "/src/photon/include/photon/PkKeyDef.h"

/*
   APL
   Byte 3 = b
 */

/* Pk_APL */#line 1137 "/src/photon/include/photon/PkKeyDef.h"

/*
  Hebrew
  Byte 3 = c
 */

/* Pk_HEBREW */#line 1185 "/src/photon/include/photon/PkKeyDef.h"


#line 22 "/src/photon/include/Ph.h"

#line 1 "/src/photon/include/photon/PhCursor.h"

/*
 	PhCursor.h	
 		Manifests for various cursors in the system cursor font
 
   Copyright by QNX Software Systems Limited 1990-1994. All rights reserved.
 */

















































#line 23 "/src/photon/include/Ph.h"


#line 27 "/src/photon/include/Ph.h"


#line 18 ".././config.c"

#line 1 "/src/photon/include/Pt.h"




#line 7 "/src/photon/include/Pt.h"

#line 1 "/src/photon/include/photon/PtT.h"

/*
  	PtT.h	
 		Manifests and structure definitions for the Photon widget lib
 
   Copyright by QNX Software Systems Limited 1990-1994. All rights reserved.
 */





 #line 1 "/usr/nto/include/stddef.h"

/*
   stddef.h    Standard definitions
 
   Copyright by WATCOM International Corp. 1988-1995.  All rights reserved.
 */

#line 10 "/usr/nto/include/stddef.h"

#line 15 "/usr/nto/include/stddef.h"

#line 31 "/usr/nto/include/stddef.h"

#line 39 "/usr/nto/include/stddef.h"



 #line 45 "/usr/nto/include/stddef.h"
  typedef int   ptrdiff_t;
 


#line 52 "/usr/nto/include/stddef.h"



 extern int *__threadid(void);  /* pointer to thread id */ 
 


#line 62 "/usr/nto/include/stddef.h"

#line 13 "/src/photon/include/photon/PtT.h"



#line 18 "/src/photon/include/photon/PtT.h"

#line 22 "/src/photon/include/photon/PtT.h"

typedef struct Pt_widget PtWidget_t;
typedef struct Pt_widget_class PtWidgetClass_t;

typedef struct Pt_widget_class_ref{
	PtWidgetClass_t *wclass;
	PtWidgetClass_t * (*init)(void);
} PtWidgetClassRef_t;


/*
  General-purpose structures
 */

typedef struct Pt_arg_entry {
	long				type;
	long				value;
	long				len;
} PtArg_t;

typedef struct Pt_callback_info {
	unsigned long		reason;
	unsigned long		reason_subtype;
	PhEvent_t 			*event;
	void				*cbdata;
} PtCallbackInfo_t;

typedef struct Pt_callback {
	void			(*event_f)( PtWidget_t *, void *, PtCallbackInfo_t * );
	void			*data;
} PtCallback_t;

typedef struct Pt_callback_list {
	struct Pt_callback_list		*next;
	PtCallback_t				cb;
} PtCallbackList_t;

typedef struct Pt_balloon_callback {
	PtWidget_t			*widget;
	void		(*event_f)( PtWidget_t *, void *, PtCallbackInfo_t * );
} PtBalloonCallback_t;
// Reason Codes passed to callback in PtCallbackInfo_t parm. 



typedef struct Pt_balloon_callback_list {
	struct Pt_balloon_callback_list		*next;
	PtBalloonCallback_t			cb;
} PtBalloonCallbackList_t;

typedef struct Pt_hotkey_callback {
	unsigned short		key_sym_cap;
	short				flags;
	unsigned long		key_mods;
	PtWidget_t			*widget;
	void 				*data;
	void		(*event_f)( PtWidget_t *, void *, PtCallbackInfo_t * );
} PtHotkeyCallback_t;
// Hotkey flags... 



typedef struct Pt_hotkey_callback_list {
	struct Pt_hotkey_callback_list		*next;
	PtHotkeyCallback_t			cb;
} PtHotkeyCallbackList_t;

typedef struct Pt_raw_callback {
	unsigned long	event_mask;
	int				(*event_f)( PtWidget_t *, void *, PtCallbackInfo_t * );
	void			*data;
} PtRawCallback_t;

typedef struct Pt_raw_callback_list {
	struct Pt_raw_callback_list		*next;
	PtRawCallback_t  				cb;
} PtRawCallbackList_t;


typedef struct Pt_widget_list {
	struct Pt_widget_list	*next;
	PtWidget_t				*widget;
} PtWidgetList_t;

/*
  PtSetArg macro:
 
 	PtSetArg( PtArg_t arg, ulong_t _type, ulong_t value, ulong_t _len )
 
 */






/*
 
  Interface to PtSetStruct
 
 */
	
















/*
  Pt_ARG_MODE_CHAR, SHORT, LONG and INT:
 	assign arg->value to structure member if arg->len == 0
 	otherwise treat arg->len as a bitmask 
 */





/*
  Pt_ARG_MODE_CHAR_FLAGS, SHORT_FLAGS and LONG_FLAGS:
 	assign arg->value to structure member if arg->len == 0
 	otherwise treat arg->len as a bitmask 
 */



/*
  Pt_ARG_MODE_PTR
 	assign ptr to structure member
 */

/*
  Pt_ARG_MODE_BOOLEAN
 	assign boolean variable, PARM is bit number (LSB == 0)
 */

/*
  Pt_ARG_MODE_VARIABLE
 	copy PARM bytes from (char )arg->value into structure at offset
 */

/*
  Pt_ARG_MODE_ALLOC
 	allocate arg->len bytes at assign ptr to structure member
 	copy arg->len bytes from (char )arg->value to ptr
 */

/*
  Pt_ARG_MODE_STRALLOC
 	same as Pt_ARG_MODE_ALLOC but length is determined by taking
 	length of string referred to by (char )arg->value... + 1
 */

/*
  Pt_ARG_MODE_ARRAY
 	alloc but with length  ARG_PARM
 	next unsigned receives length
 */

/*
  Pt_ARG_MODE_LINKED
 	structure member is a pointer to first member of a linked list
 	first item in linked list must be ptr to next item
 	PARM is length of data following next
 */

/*
  length argument for Pt_ARG_MODE_LINKED
 */



typedef struct Pt_linked_list
{
	struct Pt_linked_list *next;
	char data[1];
} PtLinkedList_t;

/*
  Pt_ARG_MODE_CALLBACKS
 	linked list of callbacks
 */


/*
 
  Miscellaneous manifests
 
 */

/* 
  Arg types for creating widget classes 
 */



















/*
  Widget drawing modes (PtDrawClippedWidget)
 */








/*
  Return codes for chained functions (raw callbacks,realize_f's,etc.)
 */




/* 
  Boolean flags 
 */




/*
  "Generally useful flags"
 */










/*
  Widget specific colors
 */
 




/*
 
  Resources
 
 */

/* 
  Macro to order resource number allocation
 	Pt_RESOURCE( unsigned level, unsigned index )
 */






// reserved resource value for indicating widget version # 
// { Pt_VERSION, 11, 0, 0, 0} (must be first resource of widget 
// to be recognized.  If this record is present, it indicates 
// how this widget's resources are to be handled.  If absent 
// the resources are treated as Photon 1.0 release widget resources. 




/*
  The resource record 
 */
typedef struct Pt_resource_rec {
	unsigned long			type;
	int						(*mod_f)( PtWidget_t *, PtArg_t * );
	int						(*query_f)( PtWidget_t *, PtArg_t * );
	unsigned long			arg_value;
	unsigned long			arg_len;	
} PtResourceRec_t;

/*
  The old resource record 
 */
typedef struct Pt_1_0resource_rec {
	unsigned long			type;
	int						(*mod_f)( PtWidget_t *, PtArg_t * );
	unsigned long			arg_value;
	unsigned long			arg_len;	
} Pt1_0ResourceRec_t;

/*
  Base widget class structure
 */
struct Pt_widget_class {
	struct Pt_widget_class	*superclass;
	PtWidgetClassRef_t		*class_ref;
	unsigned				class_len;
	unsigned 				state_len;
	unsigned long			flags;
	void					(*dflts_f)( PtWidget_t * );
	int						(*procreate_f)( PtWidget_t * );
	void					(*extent_f)( PtWidget_t * );
	int						(*init_f)( PtWidget_t * );
	void					(*draw_f)( PtWidget_t *, PhTile_t * );
	int						(*unrealize_f)( PtWidget_t * );
	int						(*destroy_f)( PtWidget_t * );
	PtResourceRec_t			*resources;
	PtResourceRec_t			*presort_resources;
	unsigned				num_resources;
	PtRawCallbackList_t		*callbacks;
	PhSoul_t				widget_souls;
	int						(*setres_f)( PtWidget_t *, int, PtArg_t * );
	int						(*getres_f)( PtWidget_t *, int, PtArg_t * );
	short					version;
	short					spare;
};

/* Flags for PtWidgetClass_t */
/* Children should be drawn within */
/* If filled, is opaque */
/* gets own expose */




/* menus/windows (co-ords irrelevant) */





typedef union Pt_proc_id {
	unsigned long id;
	struct {
		unsigned short	id_type;
		unsigned short	id;
	} f;
} PtProcId_t;

typedef PtProcId_t PtInputId_t;
typedef PtProcId_t PtWorkProcId_t;

typedef int (*PtInputCallbackProc_t)(void *, pid_t, void *, size_t);
typedef int (*PtWorkProc_t)(void *);

typedef struct Pt_input {
	PtInputId_t		id;
	PtInputCallbackProc_t	func;
	pid_t			pid;
	void			*data;
} PtInputRec_t;

typedef struct Pt_work {
	PtWorkProcId_t		id;
	PtWorkProc_t		func;
	void			*data;
} PtWorkProcRec_t;

struct Pt_input_list_el {
	struct Pt_input_list_el	*next;
	PtInputRec_t		proc;
};

typedef struct Pt_input_list {
	struct Pt_input_list_el		*head;
	struct Pt_input_list_el		*tail;
} PtInputList_t;

struct Pt_work_proc_list_el {
	struct Pt_work_proc_list_el	*next;
	PtWorkProcRec_t			proc;
};

typedef struct Pt_work_proc_list {
	struct Pt_work_proc_list_el	*head;
	struct Pt_work_proc_list_el	*tail;
} PtWorkProcList_t;

/* The context for an application shell and its descendents.
  Here to allow multi-threading -- eventually.
  The library control structure information should be here to
  eliminate conflicts between threads.
 */
struct Pt_AppContext {
	PhEvent_t		*event;
	int			event_size;
	PtInputList_t		inputs;
	PtWorkProcList_t	work_procs;
};

typedef struct Pt_AppContext *PtAppContext_t;

/* The widget lib control structure */
struct _Pt_ctrl {
	PtWidget_t				*parent, *current;
	int		 				hold_count;
	int						flux_count;
	unsigned				clip_stack_level;
	PhRect_t 				clip_stack[30];
	unsigned long			flags;
	pid_t					pen_pid;
	PhRect_t				*rects;
	unsigned				n_rects;
	PtWidgetList_t			*damaged_containers;
	PtWidgetList_t			*destroyed_widgets;
	PhSoul_t				wl_souls;
	PhSoul_t				callback_souls;
	PtWidgetList_t			*top_level;
};

/* _Pt_ctrl flags */


extern struct _Pt_ctrl _Pt_;

#line 464 "/src/photon/include/photon/PtT.h"

#line 1 "/src/photon/include/photon/PtProto.h"

/*
  PtProto.h	
 		Prototypes for the Photon widget (Pt) library
 
   Copyright by QNX Software Systems Limited 1990-1994. All rights reserved.
 */
#line 10 "/src/photon/include/photon/PtProto.h"

extern PtWidgetClassRef_t *PtWidgetClass( PtWidget_t * );
extern int PtSuperClassExtent( PtWidgetClassRef_t *, PtWidget_t *);
extern int PtSuperClassProcreate( PtWidgetClassRef_t *, PtWidget_t *);
extern int PtSuperClassDraw( PtWidgetClassRef_t *, PtWidget_t *);
extern int PtSuperClassRawEvent( PtWidgetClassRef_t *, PtWidget_t *);
extern int PtSuperClassLostFocus( PtWidgetClassRef_t *, PtWidget_t *, PhEvent_t *);
extern int PtSuperClassGotFocus( PtWidgetClassRef_t *, PtWidget_t *, PhEvent_t *);
extern int PtSuperClassGetResources( PtWidgetClassRef_t *, PtWidget_t *);
extern int PtSuperClassSetResources( PtWidgetClassRef_t *, PtWidget_t *);
/*
March 96
*/
extern PtWidget_t * PtAppInit( PtAppContext_t *,int *, char **, int , PtArg_t *);
extern PhRect_t *PtWidgetCanvas( PtWidget_t *widget, PhRect_t *rect);
extern void PtLabelPos(PtWidget_t *,PhPoint_t *,PhPoint_t *);
extern int PtLabelRepairString(PtWidget_t *,int ,char *);
extern void PtExtentLabel(PtWidget_t *);
extern int PtModifyLabelString(PtWidget_t *,PtArg_t *);
extern void PtCalcAnchorOffsets( PtWidget_t *, PhRect_t * );
extern int container_modify_area( PtWidget_t *widget, PtArg_t *arg );
extern PhRect_t * PtSetExtentFromArea( PtWidget_t *, PhArea_t *,PhRect_t *);
extern int PtInit(char *);
extern int PtStartPen(PtWidget_t *);
extern int PtSetStruct(char *,PtArg_t *);
extern PhArea_t *PtSetAreaFromExtent( PtWidget_t *, PhRect_t *, PhArea_t *);
extern PhArea_t *PtSetAreaFromWidgetCanvas( PtWidget_t *, PhRect_t *, PhArea_t *);
extern int PtGetStruct(char *,PtArg_t *);
extern int PtGetAnchoredExtent(PtWidget_t *, PhRect_t *, PhRect_t * );
extern int PteSetValue(PtWidget_t *,PtResourceRec_t *,PtArg_t *);
extern int PtSetResources(PtWidget_t *,int ,PtArg_t *);
extern int core_SetResources(PtWidget_t *,int ,PtArg_t *);
extern int compound_SetResources(PtWidget_t *,int ,PtArg_t *);
extern int PtGetResources(PtWidget_t *,int ,PtArg_t *);
extern int core_GetResources(PtWidget_t *,int ,PtArg_t *);
extern int compound_GetResources(PtWidget_t *,int ,PtArg_t *);
extern int PtNullWidget_f(PtWidget_t *);
extern PtWidget_t *PtSetParentWidget(PtWidget_t *);
extern PtWidget_t *PtGetParentWidget(void);
extern PhPoint_t *PtWidgetOffset(PtWidget_t *,PhPoint_t *);
extern PtWidgetClass_t *PtBuildWidgetClass(PtWidgetClassRef_t *,unsigned int ,unsigned int ,PtArg_t *);
extern PhRect_t *PtWidgetExtent( PtWidget_t *, PhRect_t * );
extern PtWidget_t *PtBuildWidget(PtWidgetClassRef_t *,unsigned int ,PtArg_t *);
extern PtWidgetClass_t *PtCreateWidgetClass(PtWidgetClassRef_t *,unsigned int ,unsigned int ,PtArg_t *);
extern PtWidget_t *PtWidgetSkip(PtWidget_t *,PtWidget_t *);
extern PtWidget_t *PtWidgetDrawSkip(PtWidget_t *,PtWidget_t *);
extern PtWidget_t *PtInflateBalloon( PtWidget_t *, PtWidget_t *, int, char *, char *, long, long);
extern PtWidget_t *PtWidgetAbove(PtWidget_t *,PtWidget_t *);
extern PtWidget_t *PtWidgetDrawAbove(PtWidget_t *,PtWidget_t *);
extern PtWidget_t *PtWidgetFamily(PtWidget_t *,PtWidget_t *);
extern PtWidget_t *PtWidgetDrawFamily(PtWidget_t *,PtWidget_t *);
extern PtWidget_t *PtCreateWidget(PtWidgetClassRef_t *,PtWidget_t *,unsigned int ,PtArg_t *);
extern int PtExtentWidget(PtWidget_t *);
extern int PtRealizeWidget(PtWidget_t *);
extern int PtDrawWidget(unsigned int ,PtWidget_t *);
extern int PtDrawClippedWidget(unsigned int ,PtWidget_t *,int ,PhRect_t *);
extern int PtUnrealizeWidget(PtWidget_t *);
extern int PtRemoveWidget(PtWidgetList_t *);
extern int PtRemoveWidgetInstance(PtWidget_t *);
extern int PtDestroyWidget(PtWidget_t *);
extern int PtEventHandler(PhEvent_t *);
extern PhGC_t *PtSetGC(PhGC_t *);
extern int PtForceUpdate(void );
extern int PtHoldWidget(PtWidget_t *);
extern int PtReleaseWidget(PtWidget_t *);
extern int PtDfltInitMod(PtWidget_t *);
extern int PtReRealizeWidget(PtWidget_t *);
extern int PtResizeWidget(PtWidget_t *);
extern int PtMoveResizeWidget(PtWidget_t *,unsigned);
extern int PtUpdateWidgetVisibility(PtWidget_t *,PhRect_t *);
extern int PtUpdateWidgetVisibilityAbs(PtWidget_t *,PhRect_t *);
extern int PtRepairFamilyVisibility(PtWidget_t *,PhRect_t *);
extern int PtRepairVisibility(PtWidget_t *,PhRect_t *);
extern int PtUpdateFamilyVisibility(PtWidget_t *,PhRect_t *);
extern int PtUpdateVisibility(PtWidget_t *,PhRect_t *);
extern void PtRemoveDamage(PtWidget_t *, PhPoint_t *, PhTile_t *, int);
extern int PtStartFlux(PtWidget_t *);
extern int PtEndFlux(PtWidget_t *);
extern int PtIsFluxing(PtWidget_t *);
extern int PtHold(void );
extern int PtFlush(void );
extern int PtRelease(void );
extern int PtSyncWidget(PtWidget_t *);
extern int PtUpdate(void );
extern int PtDamageCleanWidget(PtWidget_t *);
extern int PtDamageWidget(PtWidget_t *);
extern int PtDamageExposed(PtWidget_t *,PhTile_t *);
extern int PtDamageExtent(PtWidget_t *,PhRect_t *);
extern PtWidget_t *PtFindContainer(PtWidget_t *);
extern PtWidget_t *PtFindDiscontinuous(PtWidget_t *);
extern int PtWidgetIsClassMember(PtWidget_t *,PtWidgetClassRef_t *);
extern PtWidget_t *PtFindChildClass(PtWidgetClassRef_t *,PtWidget_t *);
extern PtWidget_t *PtFindChildClassMember(PtWidgetClassRef_t *,PtWidget_t *);
extern int PtWidgetIsClear(PtWidget_t *);
extern int PtWidgetIsObscured(PtWidget_t *);
extern int PtWidgetToFront(PtWidget_t *);
extern int PtWidgetToBack(PtWidget_t *);
extern int PtInvokeCallbackList(PtCallbackList_t *,PtWidget_t *,PtCallbackInfo_t *);
extern int PtDestroyCallbackList(PtCallbackList_t **);
extern void PtClipStart(PhRect_t *);
extern int PtClipAdd(PtWidget_t *,PhRect_t *);
extern int PtClipRemove(void );
extern int PtWindowToBack(PtWidget_t *);
extern int PtWindowToFront(PtWidget_t *);
extern int PtWindowFocus(PtWidget_t *);
extern int PtForwardWindowEvent(PhWindowEvent_t *);
extern void PtGetAbsPosition(PtWidget_t *,short *,short *);
extern PtWidget_t * PtGetParent(PtWidget_t *,PtWidgetClassRef_t *);
extern int PtTranslateCoord(PtWidget_t *,PhPoint_t *,PhPoint_t *);
extern int PtTranslateRect( PhRect_t *rect, PhPoint_t *point );
extern PtWidget_t *PtEventToWidget(PhEvent_t *);
extern int PtToAscii(PhKeyEvent_t *);
extern PtAppContext_t PtDefaultAppContext(void );
extern PtAppContext_t PtCreateAppContext(void );
extern int PtBarGraph_Destroy(PtWidget_t *);
extern void PtDfltsBar(PtWidget_t *);
extern void PtDrawBar(PtWidget_t *, PhTile_t *);
extern int PtBarGrid(PtWidget_t *,PhRect_t *);
extern int PtModifyBarGraph(PtWidget_t *,PtArg_t *);
extern void PtBasicActivate(PtWidget_t *,PtCallbackInfo_t *);
extern int PtBasicSetFill(PtWidget_t *);
extern PhRect_t *PtBasicInteriorExtent(PtWidget_t *,PhRect_t *);
extern PhRect_t *PtBasicWidgetCanvas(PtWidget_t *,PhRect_t *);
extern int PtBasicSetColor(PtWidget_t *);
extern int PtLabelSetColor( PtWidget_t *);
extern void PtBasicHighlight(PtWidget_t *);
extern void PtBasicExtendExtent(PtWidget_t *);
extern void PtExtentBasic(PtWidget_t *);
extern int PtInitBasic(PtWidget_t *);
extern void PtExtentButton(PtWidget_t *);
extern void PtExtentContainer(PtWidget_t *);
extern int PtContainerHold(PtWidget_t *);
extern int PtContainerInit( PtWidget_t *);
extern int PtContainerRelease(PtWidget_t *);
extern PtWidget_t *PtContainerBox(PtWidget_t *,PtWidget_t *,PhRect_t *);
extern PtWidget_t *PtContainerHit(PtWidget_t *,unsigned int ,PhRect_t *);
extern PtWidget_t *PtContainerGiveFocus(PtWidget_t *,PhEvent_t *);
extern PtWidget_t *PtContainerFindFocus(PtWidget_t *);
extern void PtContainerNullFocus(PtWidget_t *,PhEvent_t *);
extern PtWidget_t * PtContainerRelinquishFocus(PtWidget_t *,PhEvent_t *);
extern PtWidget_t * PtContainerFocusNext(PtWidget_t *,PhEvent_t *);
extern PtWidget_t * PtContainerFocusPrev(PtWidget_t *,PhEvent_t *);
extern PtWidget_t * PtFindFocusChild( PtWidget_t *widget ); 
extern PtWidget_t * PtGlobalFocusNext( PtWidget_t *widget, PhEvent_t *event );
extern PtWidget_t * PtGlobalFocusPrev( PtWidget_t *widget, PhEvent_t *event );
extern PtWidget_t * PtContainerNext( PtWidget_t *widget );
extern PtWidget_t * PtContainerPrev( PtWidget_t *widget );
extern int PtInvokeResizeCallbacks(PtWidget_t *);
extern PtWorkProcId_t * PtAppAddWorkProc(PtAppContext_t ,PtWorkProc_t ,void *);
extern void PtAppRemoveWorkProc(PtAppContext_t ,PtWorkProcId_t *);
extern PtInputId_t * PtAppAddInput(PtAppContext_t ,pid_t ,PtInputCallbackProc_t ,void *);
extern void PtAppRemoveInput(PtAppContext_t ,PtInputId_t *);
extern void PtAppProcessEvent(PtAppContext_t );
extern void PtProcessEvent(void );
extern void PtAppMainLoop(PtAppContext_t );
extern void PtMainLoop(void );
extern int PtGraphicSetStroke(PtWidget_t *);
extern void PtGraphicExtendMargin(PtWidget_t *);
extern void PtExtentGraphic(PtWidget_t *);
extern int PtInitOptionBox(PtWidget_t *);
extern int PtInitGroup(PtWidget_t *);
extern void PtLabelPos(PtWidget_t *,PhPoint_t *,PhPoint_t *);
extern int PtLabelRepairString(PtWidget_t *,int ,char *);
extern PhRect_t *PtLabelWidgetCanvas(PtWidget_t *,PhRect_t *);
extern void PtExtentLabel(PtWidget_t *);
extern void PtDrawLabel(PtWidget_t *, PhTile_t *);
extern int PtModifyLabelString(PtWidget_t *,PtArg_t *);
extern void PtExtentList(PtWidget_t *);
extern int list_chars_in_bounds(PtWidget_t *,char *);
extern void PtExtentMenuButton(PtWidget_t *);
extern void _PtMeterOpaque(PtWidget_t *);
extern int PtInitMeter(PtWidget_t *);
extern void meter_draw(PtWidget_t *, PhTile_t *);
extern int meter_callback(PtWidget_t *,void *,PtCallbackInfo_t *);
extern void meter_dflts(PtWidget_t *);
extern int meter_modify(PtWidget_t *,PtArg_t *);
extern int meter_destroy(PtWidget_t *);
extern unsigned int marctan(int ,int );
extern void PtExtentMultiText(PtWidget_t *const );
extern void release_mtext(const PtWidget_t *const );
extern int emt_draw_f(const PtWidget_t *, PhTile_t *);
extern void emt_draw_cursor(PtWidget_t *);
extern void PtDfltsOnOffButton(PtWidget_t *);
extern int PtInitOnOffButton(PtWidget_t *);
extern void PtDrawOnOffButton(PtWidget_t *, PhTile_t *);
extern int PtDestroyOnOffButton(PtWidget_t *);
extern void PtOnOffButtonValue(PtWidget_t *,void *,PtCallbackInfo_t *);
extern void PtExtentPane(PtWidget_t *);
extern int pane_modify_area(PtWidget_t *,PtArg_t *);
extern void PtExtentScrollArea(PtWidget_t *);
extern void PtExtentScrollbar(PtWidget_t *);
extern void PtExtentText(PtWidget_t *);
extern void PtExtentToggleButton(PtWidget_t *);
extern int PtTrend_Destroy(PtWidget_t *);
extern void PtDfltsTrend(PtWidget_t *);
extern void PtDrawTrend(PtWidget_t *, PhTile_t *);
extern int PtTrendGrid(PtWidget_t *,PhRect_t *);
extern int PtModifyTrend(PtWidget_t *,PtArg_t *);
extern video_draw(PtWidget_t *, PhTile_t *);
extern int PtAttemptResize(PtWidget_t *,PhRect_t *,PhRect_t *);
extern int PtDestroyRawCallbacks(PtWidget_t *);
extern int PtDestroyHotkeyCallbacks(PtWidget_t *);
extern int PtCalcRegion(unsigned int *,PtWidget_t *,PhRegion_t *,PhRect_t *);
extern int PtCoreChangeRegion(unsigned int ,PtWidget_t *);
extern PhRect_t *PtWidgetCanvas(PtWidget_t *,PhRect_t *);
extern void PtExtentCore(PtWidget_t *);
extern int PtInitCore(PtWidget_t *);
extern int PtModifyFlags(PtWidget_t *,PtArg_t *);
extern PhPoint_t *PtWindowPosition(PtWidget_t *,PhPoint_t *);
extern int PtWindowSetInfo(unsigned int ,PtWidget_t *);
extern void PtFrameSize(ulong_t ,int ,int *,int *,int *,int *);
extern PhRid_t PtWidgetRid( PtWidget_t * );
extern int PtClearWidget( PtWidget_t * );
extern int PtAddCallback( PtWidget_t *, unsigned long ,
		void (*)(PtWidget_t *, void *, PtCallbackInfo_t *), void *);
extern int PtAddCallbacks( PtWidget_t *, unsigned long , PtCallback_t *, unsigned int );
extern int PtRemoveCallback( PtWidget_t *, unsigned long , 
		void (*)(PtWidget_t *, void *, PtCallbackInfo_t *), void *);
extern int PtRemoveCallbacks( PtWidget_t *, unsigned long , PtCallbackList_t *,
		unsigned int );
extern int PtAddEventHandler( PtWidget_t *, unsigned long ,
		int (*)(PtWidget_t *, void *, PtCallbackInfo_t *), void *);
extern int PtAddEventHandlers( PtWidget_t *, PtRawCallback_t *, int );
extern int PtRemoveEventHandler( PtWidget_t *, unsigned long , 
		int (*)(PtWidget_t *, void *, PtCallbackInfo_t *), void *);
extern int PtRemoveEventHandlers( PtWidget_t *, PtRawCallback_t *, int );
extern int PtAddHotkeyHandler( PtWidget_t *, unsigned , unsigned , short, void *,
		void (*event_f)( PtWidget_t *, void *, PtCallbackInfo_t * ));
extern int PtRemoveHotkeyHandler( PtWidget_t *, unsigned , unsigned , short, void *,
		void (*)( PtWidget_t *, void *, PtCallbackInfo_t * ));
extern int PtWidgetIsClass( PtWidget_t *, PtWidgetClassRef_t *);
extern PtWidget_t * PtWidgetParent( PtWidget_t *);
extern PtWidget_t * PtWidgetChildFront( PtWidget_t *);
extern PtWidget_t * PtWidgetChildBack( PtWidget_t *);
extern PtWidget_t * PtWidgetBrotherInFront( PtWidget_t *);
extern PtWidget_t * PtWidgetBrotherBehind( PtWidget_t *);
extern int PtRectIntersect( PhRect_t *, PhRect_t *);
extern int PtRectUnion( PhRect_t *, PhRect_t *);
extern PhRect_t * PtChildClipRect( PtWidget_t *, PhRect_t * );
extern PhRect_t * PtWidgetInteriorExtent( PtWidget_t *, PhRect_t * );
extern void PtAnchorWidget( PtWidget_t * );
extern int PtReattach( char * );
extern int PtAskQuestion( PtWidget_t *, char *, char *, char *, char *, char *, char *, int );
extern void PtSyncPhoton( );
extern int PtModalStart( );
extern void PtModalEnd( int );
extern void win_frame_app_origin( PtWidget_t *, PhPoint_t *);
extern void PtPositionMenu( PtWidget_t *, PhEvent_t *);
extern int PtListAddItems( PtWidget_t *widget, char **items, int item_count, unsigned int position ) ;
extern int PtListItemExists( PtWidget_t *widget, char *item );
extern int PtListItemPos( PtWidget_t *widget, char *item );
extern int PtListReplaceItemPos( PtWidget_t *widget, char **new_items, int item_count, int position );
extern int PtListReplaceItems( PtWidget_t *widget, char **old_items, char **new_items, int item_count );
extern int PtListDeleteItems( PtWidget_t *widget, char **items, int item_count );
extern int PtListDeletePositions( PtWidget_t *widget, unsigned int *pos_list, int pos_count );
extern int PtListDeleteItemPos( PtWidget_t *widget, int item_count, int position );
extern int PtListDeleteAllItems( PtWidget_t *widget );
extern int PtReParentWidget( PtWidget_t *widget, PtWidget_t *parent );
extern int PtExtentWidgetFamily( PtWidget_t *widget );
extern int PtWidgetTree( PtWidget_t *root, PtWidget_t **cur, int D );
extern int PtWidgetTreeTraverse( PtWidget_t *root, PtWidget_t **cur, int D, int (*skip_cond_f)(PtWidget_t *) );
extern PtWidget_t * PtWidgetHelpHit( PtWidget_t *widget, PhPoint_t *pos );
extern int _PtAnchorParent( PtWidget_t *widget, PhDim_t *new_dim, int flag );
extern long PtWindowGetState( PtWidget_t *widget );
extern int mbstrlen( char *, int , int * );
extern int mbstrnlen( char *, int, int , int * );
extern int mbstrblen( char *, int, int , int * );
extern int mbstrncmp( char *, char *, int , int );
extern PtWidget_t *PtValidParent( PtWidget_t *, PtWidgetClassRef_t * );
extern int PtSendEventToWidget( PtWidget_t *, PhEvent_t * );
extern int PtTimerArm( PtWidget_t *, int );
#line 284 "/src/photon/include/photon/PtProto.h"
#line 466 "/src/photon/include/photon/PtT.h"

#line 1 "/src/photon/include/photon/PxProto.h"

/*
  PxProto.h	
 		Prototypes for the Photon Extended (Px) library
 
   Copyright by QNX Software Systems Limited 1990-1995. All rights reserved.
 */
#line 10 "/src/photon/include/photon/PxProto.h"


#line 18 "/src/photon/include/photon/PxProto.h"

#line 22 "/src/photon/include/photon/PxProto.h"
#line 467 "/src/photon/include/photon/PtT.h"




#line 9 "/src/photon/include/Pt.h"


#line 1 "/src/photon/include/photon/PtArc.h"

/*
 	PtArc.h
 		Header file for the PtArc widget class
 
   Copyright by QNX Software Systems Limited 1990-1994. All rights reserved.
 */




 #line 1 "/src/photon/include/photon/PtGraphic.h"

/*
 	PtGraphic.h
 		Header file for the PtGraphic widget class
 
   Copyright by QNX Software Systems Limited 1990-1994. All rights reserved.
 */




 #line 1 "/src/photon/include/photon/PtBasic.h"

/*
 	PtBasic.h
 		Header file for the PtBasic widget class
 
   Copyright by QNX Software Systems Limited 1990-1994. All rights reserved.
 */




 #line 1 "/src/photon/include/photon/PtWidget.h"

/*
 	PtWidget.h
 		Header file for the PtWidget widget class
 
   Copyright by QNX Software Systems Limited 1990-1994. All rights reserved.
 */



#line 13 "/src/photon/include/photon/PtWidget.h"

#line 17 "/src/photon/include/photon/PtWidget.h"

#line 21 "/src/photon/include/photon/PtWidget.h"


/*
  PtWidget public 
 */

extern PtWidgetClassRef_t *PtWidget;

/* Resources */























/* Flag bits (for use with Pt_ARG_FLAGS) */
































/* RESIZE MASKS  */







/* Convenience resize defines */















/*
  PtWidget private
 */

/* Base widget structure */
struct Pt_widget {
	struct Pt_widget_class	*class_rec;
	struct Pt_widget		*parent;
	struct Pt_widget		*child;
	struct Pt_widget		*brother;
	struct Pt_widget		*bro_behind;
	PhRid_t					rid;
	PhArea_t				area;
	PhRect_t				extent;
	long					flags;
	ushort_t				extent_valid; 
	ushort_t				border_width;
	ulong_t					region_fields;
	ulong_t					resize_flags;
	PgColor_t				cursor_color;
	PhRect_t				opaque_rect;
	PhTile_t				*damage_list;
	char					*data;
	char					*user_data;
	PtRawCallbackList_t		*callbacks;
	PtHotkeyCallbackList_t	*hotkeys;
	PtCallbackList_t		*realized;
	PtCallbackList_t		*unrealized;
	PtCallbackList_t		*destroyed;
	PtCallbackList_t		*blocked;
	char					*help_topic;
	PhCursorDef_t			*bitmap_cursor;
	void					*spare;
	ushort_t				cursor_type;
	uchar_t					reserved[2];
};

#line 150 "/src/photon/include/photon/PtWidget.h"

#line 12 "/src/photon/include/photon/PtBasic.h"



#line 17 "/src/photon/include/photon/PtBasic.h"


/*
  PtBasic public
 */

extern PtWidgetClassRef_t *PtBasic;

/* Resources */
















/* Callback structure */
typedef struct {
	int		value;
} PtBasicCallback_t;


/*
  PtBasic private
 */

/* Widget structure */
typedef struct Pt_basic_widget {
	PtWidget_t					core;
	PgColor_t					color;
	PgColor_t					fill_color;
	char						fill_pattern[8];
	char						trans_pattern[8];
	PgColor_t					top_border_color;
	PgColor_t					bot_border_color;
	ushort_t					margin_height;
	ushort_t					margin_width;
	PtCallbackList_t			*arm;
	PtCallbackList_t			*repeat;
	PtCallbackList_t			*disarm;
	PtCallbackList_t			*activate;
	PtCallbackList_t			*got_focus;
	PtCallbackList_t			*lost_focus;
} PtBasicWidget_t;

/* Widget union */
typedef union Pt_basic_union {
	PtWidget_t					core;
	PtBasicWidget_t				basic;
} PtBasicUnion_t;


/*
  PtBasic class structure additions
 */

typedef struct Pt_basic_widget_class {
	PtWidgetClass_t				core;
	void						(*got_focus_f)( PtWidget_t *, PhEvent_t * );
	void						(*lost_focus_f)( PtWidget_t *, PhEvent_t * );
	void						(*calc_opaque_f)( PtWidget_t * );
} PtBasicWidgetClass_t;






#line 97 "/src/photon/include/photon/PtBasic.h"

#line 12 "/src/photon/include/photon/PtGraphic.h"



#line 17 "/src/photon/include/photon/PtGraphic.h"


/*
  PtGraphic public
 */

extern PtWidgetClassRef_t *PtGraphic;

/* Resources */












/* Valid flag bits */



/*
  PtGraphic private
 */

/* Widget structure */
typedef struct Pt_graphic_widget {
	PtBasicWidget_t		basic;
	PhPoint_t			origin;
	PhPoint_t			*point_array;
	PtCallbackList_t	*rescale;
	long				line_width;
	ushort_t			line_cap;
	ushort_t			line_join;
	char				*dash_list;
	ushort_t			npoints;
	char				flags;
	char				reserved;
	short				dash_len;
	long				dash_scale;
} PtGraphicWidget_t;

/* Widget union */
typedef union Pt_graphic_union {
	PtWidget_t					core;
	PtBasicWidget_t				basic;
	PtGraphicWidget_t			graphic;
} PtGraphicUnion_t;

#line 73 "/src/photon/include/photon/PtGraphic.h"

#line 12 "/src/photon/include/photon/PtArc.h"



#line 17 "/src/photon/include/photon/PtArc.h"


/*
  PtArc public
 */

extern PtWidgetClassRef_t *PtArc;

/* Resources */








/*
  PtArc private
 */

/* Widget structure */
typedef struct Pt_arc_widget {
	PtGraphicWidget_t			graphic;
	ushort_t					start;
	ushort_t					end;
	ushort_t					type;
} PtArcWidget_t;

/* Widget union */
typedef union Pt_arc_union {
	PtWidget_t					core;
	PtBasicWidget_t				basic;
	PtGraphicWidget_t			graphic;
	PtArcWidget_t				arc;
} PtArcUnion_t;

#line 57 "/src/photon/include/photon/PtArc.h"

#line 11 "/src/photon/include/Pt.h"

#line 1 "/src/photon/include/photon/PtBasic.h"

/*
 	PtBasic.h
 		Header file for the PtBasic widget class
 
   Copyright by QNX Software Systems Limited 1990-1994. All rights reserved.
 */
#line 98 "/src/photon/include/photon/PtBasic.h"
#line 12 "/src/photon/include/Pt.h"

#line 1 "/src/photon/include/photon/PtBezier.h"

/*
 	PtBezier.h
 		Header file for the PtBezier widget class
 
   Copyright by QNX Software Systems Limited 1990-1994. All rights reserved.
 */



#line 13 "/src/photon/include/photon/PtBezier.h"

#line 17 "/src/photon/include/photon/PtBezier.h"


/*
  PtBezier public
 */

extern PtWidgetClassRef_t *PtBezier;

/* Resources */



/*
  PtBezier private
 */

/* Widget structure */
typedef struct Pt_bezier_widget {
	PtGraphicWidget_t			graphic;
	ushort_t					flags;
	short						reserved;
} PtBezierWidget_t;

/* Widget union */
typedef union Pt_bezier_union {
	PtWidget_t					core;
	PtBasicWidget_t				basic;
	PtGraphicWidget_t			graphic;
	PtBezierWidget_t			bezier;
} PtBezierUnion_t;

#line 51 "/src/photon/include/photon/PtBezier.h"

#line 13 "/src/photon/include/Pt.h"

#line 1 "/src/photon/include/photon/PtBitmap.h"

/*
 	PtBitmap.h
 		Header file for the PtBitmap widget class
 
   Copyright by QNX Software Systems Limited 1990-1994. All rights reserved.
 */



#line 13 "/src/photon/include/photon/PtBitmap.h"


 #line 1 "/src/photon/include/photon/PtContainer.h"

/*
 	PtContainer.h
 		Header file for the PtContainer widget class
 
   Copyright by QNX Software Systems Limited 1990-1994. All rights reserved.
 */



#line 13 "/src/photon/include/photon/PtContainer.h"

#line 17 "/src/photon/include/photon/PtContainer.h"


/*
  PtContainer public
 */

extern PtWidgetClassRef_t *PtContainer;

/* Resources */








/* ANCHOR FLAG MANIFESTS  */





















//convenience... 






// Private anchor flag values 
/* (r/o) */
/* (r/o) */
/* (r/o) */
/* (r/o) */
/* (r/o) */
/* (r/o) */
/* (r/o) */

// FLAG MANIFESTS 
/* (r/o) */

typedef struct pt_container_callback {
	PhRect_t new_size;
	PhRect_t old_size;
} PtContainerCallback_t;


/*
  PtContainer private
 */

/* Widget structure */
typedef struct Pt_container_widget {
	PtBasicWidget_t				basic;
	PhTile_t					*damage_visible;
	PhTile_t					*damage_list;
	PtWidget_t					*damage_clean;
	PtWidget_t					*focus;
	PtWidget_t					*child_front;
	PtCallbackList_t			*resize;
	uint_t						anchor_flags;
	PhRect_t					anchor_offset;
	PhRect_t					old_extent;
	PtBalloonCallbackList_t		*balloons;
	PtBalloonCallback_t			*current_balloon;
	short						balloon_count;
	uchar_t						flux_count;
	char						reserved1;
	PtWidgetList_t				*ctnrs;
	short						flags;
	short						reserved2;
	int						(*reserved_f2)(PtWidget_t *widget, PtWidget_t *child, PtArg_t *argt);
	PtWidget_t *			(*redirect)( PtWidget_t *widget, PtWidgetClassRef_t *);
	PhRect_t *				(*child_clip)(PtWidget_t *, PhRect_t *);
} PtContainerWidget_t;

/* Widget union */
typedef struct Pt_container_union {
	PtWidget_t					core;
	PtBasicWidget_t				basic;
	PtContainerWidget_t			container;
} PtContainerUnion_t;

/* Event types redirected by PtContainer */


typedef struct Pt_container_widget_class {
    PtBasicWidgetClass_t	basic;
	void					(*child_created_f)( PtWidget_t *widget, PtWidget_t *child );
	int						(*child_settingresource_f)(PtWidget_t *widget, PtWidget_t *child, PtArg_t *argt);
	int						(*child_gettingresource_f)(PtWidget_t *widget, PtWidget_t *child, PtArg_t *argt );
	void					(*child_realized_f)( PtWidget_t *widget, PtWidget_t *child );
	void					(*child_unrealized_f)( PtWidget_t *widget, PtWidget_t *child );
	void					(*child_destroyed_f)( PtWidget_t *widget, PtWidget_t *child );
	void					(*child_move_resize_f)( PtWidget_t *widget, PtWidget_t *child, PhArea_t *current_area, PhRect_t *current_extent, PhArea_t *old_area, PhRect_t *old_extent );
} PtContainerClass_t;









#line 142 "/src/photon/include/photon/PtContainer.h"

#line 16 "/src/photon/include/photon/PtBitmap.h"



#line 21 "/src/photon/include/photon/PtBitmap.h"


/*
  PtBitmap public
 */

extern PtWidgetClassRef_t *PtBitmap;

/* Resources */
















/* Balloon Positions */






/*
  PtBitmap private
 */

/* Widget structure */
typedef struct Pt_bitmap_widget {
	PtBasicWidget_t				basic;
	ushort_t					nplanes;
	ushort_t					balloon_pos;
	PgColor_t					*colors;	
	char						**data;
	unsigned short				splanes;
	PgColor_t					*set_colors;	
	char						**set_data;
	PgColor_t					set_bg_color;
	char *						text;
	PtCallbackList_t			*activate;
	PtWidget_t					*balloon_widget;
	char						*font;
	uchar_t						set_bg_fill;
	char						flags;
	PgColor_t					balloon_fill_color;
	PgColor_t					balloon_color;
	PtWidget_t					*(*inflate_f)();
} PtBitmapWidget_t;

/* Widget union */
typedef struct Pt_bitmap_union {
	PtWidget_t					core;
	PtBasicWidget_t				basic;
	PtBitmapWidget_t			bitmap;
} PtBitmapUnion_t;

#line 89 "/src/photon/include/photon/PtBitmap.h"

#line 14 "/src/photon/include/Pt.h"

#line 1 "/src/photon/include/photon/PtButton.h"

/*
 	PtButton.h
 		Header file for the PtButton widget class
 
   Copyright by QNX Software Systems Limited 1990-1994. All rights reserved.
 */




 #line 1 "/src/photon/include/photon/PtLabel.h"

/*
 	PtLabel.h
 		Header file for the PtLabel widget class
 
   Copyright by QNX Software Systems Limited 1990-1994. All rights reserved.
 */



#line 13 "/src/photon/include/photon/PtLabel.h"

#line 17 "/src/photon/include/photon/PtLabel.h"

#line 21 "/src/photon/include/photon/PtLabel.h"


/*
  PtLabel public
 */

extern PtWidgetClassRef_t *PtLabel;

/* Resources */
























/* Alignment types */






/* Underline types */






/* Label flag bits */




// (r/o)

/* Balloon Positions */






/* Valid label types */




/*
  PtLabel private
 */



/* Widget structure */
typedef struct Pt_label_widget {
	PtBasicWidget_t				basic;
	PtWidget_t					*balloon_widget;
	ushort_t					balloon_pos;
	short 						reserved;
	uchar_t						h_alignment;
	uchar_t						v_alignment;
	uchar_t						flags;
	uchar_t						type;
	char						*font;
	char						*string;
	char						*accel_key;
	void						*data;
	ushort_t					margin_top;
	ushort_t					margin_bottom;
	ushort_t					margin_right;
	ushort_t					margin_left;
	ushort_t					twidth;
	ushort_t					theight;
	PgColor_t					uline1;
	PgColor_t					uline2;
	ushort_t					uline_type;
	short						ascender;
	PgColor_t					balloon_fill_color;
	PgColor_t					balloon_color;
	PtWidget_t					*(*inflate_f)( );
	ushort_t					line_spacing;
} PtLabelWidget_t;

/* Widget union */
typedef union Pt_label_union {
	PtWidget_t					core;
	PtBasicWidget_t				basic;
	PtLabelWidget_t				label;
} PtLabelUnion_t;

#line 133 "/src/photon/include/photon/PtLabel.h"

#line 12 "/src/photon/include/photon/PtButton.h"



#line 17 "/src/photon/include/photon/PtButton.h"


/*
  PtButton public
 */

extern PtWidgetClassRef_t *PtButton;

/* Resources */






/*
  PtButton private
 */

/* Widget structure */
typedef struct Pt_button_widget {
	PtLabelWidget_t			label;
	PgColor_t				arm_color;
	void 					*arm_data;
	void 					*unarmed_data;
	uchar_t					arm_fill;
	PtCallbackList_t		*activate;
	
} PtButtonWidget_t;

/* Widget union */
typedef union Pt_button_union {
	PtWidget_t				core;
	PtBasicWidget_t			basic;
	PtLabelWidget_t			label;
	PtButtonWidget_t		button;
} PtButtonUnion_t;

#line 58 "/src/photon/include/photon/PtButton.h"

#line 15 "/src/photon/include/Pt.h"

#line 1 "/src/photon/include/photon/PtContainer.h"

/*
 	PtContainer.h
 		Header file for the PtContainer widget class
 
   Copyright by QNX Software Systems Limited 1990-1994. All rights reserved.
 */
#line 143 "/src/photon/include/photon/PtContainer.h"
#line 16 "/src/photon/include/Pt.h"

#line 1 "/src/photon/include/photon/PtComboBox.h"

/*
 	PtComboBox.h
 		Header file for the PtComboBox widget class
 
   Copyright by QNX Software Systems Limited 1990-1994. All rights reserved.
 */




#line 1 "/src/photon/include/photon/PtCompound.h"

/*
   PtCompound.h
       Header file for the PtCompound widget class
 
   Copyright by QNX Software Systems Limited 1990-1994. All rights reserved.
 */



#line 13 "/src/photon/include/photon/PtCompound.h"

#line 17 "/src/photon/include/photon/PtCompound.h"


/*
  PtCompound public
 */

extern PtWidgetClassRef_t *PtCompound;

/* Resources */
// NONE 

/*
  PtCompound private
 */

/* Widget structure */
typedef PtContainerWidget_t PtCompoundWidget_t;

/* Widget union */
typedef struct Pt_compound_union {
	PtWidget_t					core;
	PtBasicWidget_t				basic;
	PtContainerWidget_t			container;
	PtCompoundWidget_t			compound;
} PtCompoundUnion_t;

typedef struct Pt_compound_class {
    PtContainerClass_t		container;
    ushort_t				num_subordinates;
    ushort_t				*subordinates;
    ushort_t				num_blocked_resources;
    ulong_t					*blocked_resources;
} PtCompoundClass_t;









#line 62 "/src/photon/include/photon/PtCompound.h"

#line 12 "/src/photon/include/photon/PtComboBox.h"




#line 1 "/src/photon/include/photon/PtText.h"

/*
 	PtText.h
 		Header file for the PtText widget class
 
   Copyright by QNX Software Systems Limited 1990-1994. All rights reserved.
 */



#line 13 "/src/photon/include/photon/PtText.h"

#line 17 "/src/photon/include/photon/PtText.h"


/*
  PtText public
 */

extern PtWidgetClassRef_t *PtText;

/* Resources */










//and for backwards compatability 



/* Flags bits */









// *** r/o ***
// *** r/o ***

/* Callback structure */
typedef struct Pt_text_callback {
	int	start_pos, end_pos;	
	int	cur_insert, new_insert;
	int				length;	
	short			reserved;
	char 			*text;
	int				doit;
} PtTextCallback_t;

/* Reason Subtypes */

//      Pt_CHANGE_ACTIVATE  2 ;defined in flags. 

/*
  PtText private
 */

/* Widget structure */
typedef struct Pt_text_widget {
	PtLabelWidget_t			label;
	short					columns;
	int						cursor_pos;
	PhRect_t				cursor_offset;
	ulong_t					flags;
	int						max_length;
	int						scroll_pos;
	int						sel_start;
	int						sel_end;	
	char					*sel_array;
	char					*mask;
	PtCallbackList_t		*got_focus;
	PtCallbackList_t		*lost_focus;
	PtCallbackList_t		*changed;
	PtCallbackList_t		*modify_verify;
	PtCallbackList_t		*motion_verify;

	int (*highlight_range)( PtWidget_t *, PtCallbackInfo_t *);
	int (*modify_text)( PtWidget_t *, PtCallbackInfo_t *);
	/*
		int (extend_keys) ( PtWidget_t , PtCallbackInfo_t );
		int (delete_range)( PtWidget_t , PtCallbackInfo_t );
	 */
} PtTextWidget_t;

extern int PtTextGetSelection( PtWidget_t *, int *, int * );
extern int PtTextSetSelection( PtWidget_t *, int *, int * );
extern int PtTextModifyText( PtWidget_t *, int, int, int, char *, int); 
extern int strmatches( char *, char * );

/* Widget union */
typedef union Pt_text_union {
	PtWidget_t				core;
	PtBasicWidget_t			basic;
	PtLabelWidget_t			label;
	PtTextWidget_t			text;
} PtTextUnion_t;

#line 114 "/src/photon/include/photon/PtText.h"

#line 16 "/src/photon/include/photon/PtComboBox.h"

