
/* ../abmain.c */
void main ( int argc , char *argv []);
void ApClassInit ( void );

/* ../cd.c */
int cd_check_discs ( void );
int cd_read_subchnl ( struct cdrom_subchnl *sc );
int cd_read_toc ( void );
int cd_get_volume ( void );
int cd_set_volume ( void );
int cd_disc_present ( void );
void cd_pause_resume ( void );
void cd_stop ( void );
void cd_eject_load ( int mode );
int cd_btns_cb ( PtWidget_t *widget , ApInfo_t *apinfo , PtCallbackInfo_t *cbinfo );
int cd_pwr_btn_cb ( PtWidget_t *widget , ApInfo_t *apinfo , PtCallbackInfo_t *cbinfo );
int cd_proxy_handler ( PtWidget_t *wgt , void *data , PtCallbackInfo_t *cbinfo );
int cd_play_status ( void );
void cd_set_title ( char *string );
int cd_update_display ( void );
int cd_wm_cb ( PtWidget_t *widget , ApInfo_t *apinfo , PtCallbackInfo_t *cbinfo );
void cd_play_audio ( long slba , long elba );
void cd_update_track_display ( void );
void cd_update_time_display ( void );
void cd_play ( int direction );
int cd_advance_disc ( void );
int cd_change_disc ( int disc );
void cd_clear_discs ( void );
void PtSetSensitive ( PtWidget_t *widget , int action );
void PtSetCursor ( PtWidget_t *widget , short cursor );
void cd_setsensitive ( int action );
int cd_selector_cb ( PtWidget_t *widget , ApInfo_t *apinfo , PtCallbackInfo_t *cbinfo );

/* ../config.c */
int cfg_open_device ( void );
void cfg_phabinit ( void );
int cfg_init ( void );
void cfg_dinit ( void );
void cfg_light_display ( void );
void cfg_dim_display ( void );
int startup ( PtWidget_t *link_instance , ApInfo_t *apinfo , PtCallbackInfo_t *cbinfo );
int parse_opts ( int argc , char *argv []);

/* ../errordlg.c */
int err_setup ( PtWidget_t *link_instance , ApInfo_t *apinfo , PtCallbackInfo_t *cbinfo );
int error_ack ( PtWidget_t *widget , ApInfo_t *apinfo , PtCallbackInfo_t *cbinfo );

/* ../display.c */
void display_NODISC ( void );
void display_DATA ( void );
void display_RESET ( void );
void display_OPEN ( void );
void display_NULL ( void );
